# do not edit -- (was) automatically generated by arch changelog
# tag: was-automatic-ChangeLog--lord@emf.net--2003/file-utils--devo--1.0
#

2003-06-11 GMT	Tom Lord <lord@emf.net>	patch-261

    Summary:
      added -c (archive cache new branches) to archive-setup
    Revision:
      file-utils--devo--1.0--patch-261

    added -c (archive cache new branches) to archive-setup
    

    modified files:
     ChangeLog libarch/cmd-archive-setup.c


2003-06-11 GMT	Tom Lord <lord@emf.net>	patch-260

    Summary:
      added -b (make branches) support to archive-setup
    Revision:
      file-utils--devo--1.0--patch-260

    added -b (make branches) support to archive-setup

    modified files:
     ChangeLog libarch/archive-setup.c libarch/cmd-archive-setup.c


2003-06-11 GMT	Tom Lord <lord@emf.net>	patch-259

    Summary:
      archive-setup.c (new command) and libs
    Revision:
      file-utils--devo--1.0--patch-259

    archive-setup can be used to create categories, branches, and versions
    all at once.
    

    new files:
     libarch/archive-cache.h libarch/archive-setup.h
     libarch/cmd-archive-setup.h libarch/cmd-archive-setup.c
     libarch/archive-setup.c libarch/archive-cache.c

    modified files:
     ChangeLog libarch/archive-mirror.c libarch/chatter.c
     libarch/chatter.h libarch/cmd-cacherev.c libarch/cmds.c


2003-06-11 GMT	Tom Lord <lord@emf.net>	patch-258

    Summary:
      removed spurious newline in auto-gen log file fields
    Revision:
      file-utils--devo--1.0--patch-258

    removed spurious newline in auto-gen log file fields
    
    
    

    modified files:
     ChangeLog libarch/patch-logs.c


2003-06-11 GMT	Tom Lord <lord@emf.net>	patch-257

    Summary:
      cmtrev -- don't unlink non-existant log files
    Revision:
      file-utils--devo--1.0--patch-257

    cmtrev -- don't unlink non-existant log files
    

    modified files:
     ChangeLog libarch/cmd-cmtrev.c


2003-06-11 GMT	Tom Lord <lord@emf.net>	patch-256

    Summary:
      -L (set log from command line) for cmtrev plus auto log field fixes
    Revision:
      file-utils--devo--1.0--patch-256

    -L (set log from command line) for cmtrev plus auto log field fixes
    

    modified files:
     ChangeLog libarch/cmd-cmtrev.c libarch/cmd-log-for-merge.c
     libarch/commit.c libarch/patch-logs.c libarch/patch-logs.h
     libarch/tag.c


2003-06-11 GMT	Tom Lord <lord@emf.net>	patch-255

    Summary:
      tagrev -- allow source rev to be specified by version name
    Revision:
      file-utils--devo--1.0--patch-255

    tagrev -- allow source rev to be specified by version name
    

    modified files:
     ChangeLog libarch/cmd-tagrev.c


2003-06-11 GMT	Tom Lord <lord@emf.net>	patch-254

    Summary:
      change 0777->0666 in many calls to open()
    Revision:
      file-utils--devo--1.0--patch-254

    change 0777->0666 in many calls to open()
    

    modified files:
     ChangeLog libarch/apply-changeset.c libarch/inv-tags.c
     libarch/my.c libarch/project-tree.c


2003-06-11 GMT	Tom Lord <lord@emf.net>	patch-253

    Summary:
      cmd-add-pristine.c (larch add-pristine) and libs coded
    Revision:
      file-utils--devo--1.0--patch-253

    cmd-add-pristine.c (larch add-pristine) and libs coded

    new files:
     libarch/cmd-add-pristine.h libarch/cmd-add-pristine.c

    modified files:
     ChangeLog libarch/cmd-find-pristine.c libarch/cmds.c
     libarch/pristines.c libarch/pristines.h


2003-06-11 GMT	Tom Lord <lord@emf.net>	patch-252

    Summary:
      tla.c -- front end for all arch commands
    Revision:
      file-utils--devo--1.0--patch-252

    tla.c -- front end for all arch commands

    new files:
     utils-arch/=bye-bye/.arch-ids/=id libarch/cmds.h
     utils-arch/tla.c libarch/cmds.c

    modified files:
     ChangeLog libarch/cmd-add-log.c libarch/cmd-add-tag.c
     libarch/cmd-archive-meta-info.c
     libarch/cmd-archive-meta-info.h libarch/cmd-archive-mirror.c
     libarch/cmd-archive-snapshot.c libarch/cmd-archive-version.c
     libarch/cmd-branches.c libarch/cmd-buildcfg.c
     libarch/cmd-cachedrevs.c libarch/cmd-cacherev.c
     libarch/cmd-cat-archive-log.c libarch/cmd-cat-log.c
     libarch/cmd-categories.c libarch/cmd-cfgcat.c
     libarch/cmd-changelog.c libarch/cmd-changeset.c
     libarch/cmd-cmtrev.c libarch/cmd-default-tag.c
     libarch/cmd-delete-tag.c libarch/cmd-do-changeset.c
     libarch/cmd-file-diffs.c libarch/cmd-find-pristine.c
     libarch/cmd-get-patch.c libarch/cmd-imprev.c
     libarch/cmd-init-tree.c libarch/cmd-inv-tag.c
     libarch/cmd-library-add.c libarch/cmd-library-archives.c
     libarch/cmd-library-branches.c
     libarch/cmd-library-categories.c libarch/cmd-library-file.c
     libarch/cmd-library-find.c libarch/cmd-library-log.c
     libarch/cmd-library-remove.c libarch/cmd-library-revisions.c
     libarch/cmd-library-versions.c libarch/cmd-lock-pristine.c
     libarch/cmd-lock-revision.c libarch/cmd-log-for-merge.c
     libarch/cmd-log-ls.c libarch/cmd-logs.c
     libarch/cmd-ls-archives.c libarch/cmd-ls-pristines.c
     libarch/cmd-make-archive.c libarch/cmd-make-branch.c
     libarch/cmd-make-category.c libarch/cmd-make-log.c
     libarch/cmd-make-version.c libarch/cmd-merges.c
     libarch/cmd-move-tag.c libarch/cmd-my-default-archive.c
     libarch/cmd-my-id.c libarch/cmd-my-revision-library.c
     libarch/cmd-new-merges.c libarch/cmd-parse-package-name.c
     libarch/cmd-register-archive.c libarch/cmd-remove-log.c
     libarch/cmd-revisions.c libarch/cmd-set-tree-version.c
     libarch/cmd-show-changeset.c libarch/cmd-srcfind.c
     libarch/cmd-tagging-defaults.c libarch/cmd-tagging-method.c
     libarch/cmd-tagrev.c libarch/cmd-tree-lint.c
     libarch/cmd-tree-root.c libarch/cmd-tree-version.c
     libarch/cmd-uncacherev.c libarch/cmd-valid-package-name.c
     libarch/cmd-versions.c libarch/cmd-what-changed.c
     libarch/cmd-whats-missing.c libarch/cmd-whereis-archive.c
     utils-arch/Makefile.in

    renamed files:
     utils-arch/add-log.c
       ==> utils-arch/=bye-bye/add-log.c
     utils-arch/add-tag.c
       ==> utils-arch/=bye-bye/add-tag.c
     utils-arch/archive-version.c
       ==> utils-arch/=bye-bye/archive-version.c
     utils-arch/branches.c
       ==> utils-arch/=bye-bye/branches.c
     utils-arch/buildcfg.c
       ==> utils-arch/=bye-bye/buildcfg.c
     utils-arch/cachedrevs.c
       ==> utils-arch/=bye-bye/cachedrevs.c
     utils-arch/cacherev.c
       ==> utils-arch/=bye-bye/cacherev.c
     utils-arch/cat-archive-log.c
       ==> utils-arch/=bye-bye/cat-archive-log.c
     utils-arch/categories.c
       ==> utils-arch/=bye-bye/categories.c
     utils-arch/cat-log.c
       ==> utils-arch/=bye-bye/cat-log.c
     utils-arch/cfgcat.c
       ==> utils-arch/=bye-bye/cfgcat.c
     utils-arch/changelog.c
       ==> utils-arch/=bye-bye/changelog.c
     utils-arch/cmtrev.c
       ==> utils-arch/=bye-bye/cmtrev.c
     utils-arch/default-tag.c
       ==> utils-arch/=bye-bye/default-tag.c
     utils-arch/delete-tag.c
       ==> utils-arch/=bye-bye/delete-tag.c
     utils-arch/changeset.c
       ==> utils-arch/=bye-bye/changeset.c
     utils-arch/do-changeset.c
       ==> utils-arch/=bye-bye/do-changeset.c
     utils-arch/file-diffs.c
       ==> utils-arch/=bye-bye/file-diffs.c
     utils-arch/find-pristine.c
       ==> utils-arch/=bye-bye/find-pristine.c
     utils-arch/get-patch.c
       ==> utils-arch/=bye-bye/get-patch.c
     utils-arch/imprev.c
       ==> utils-arch/=bye-bye/imprev.c
     utils-arch/init-tree.c
       ==> utils-arch/=bye-bye/init-tree.c
     utils-arch/inv-tag.c
       ==> utils-arch/=bye-bye/inv-tag.c
     utils-arch/library-add.c
       ==> utils-arch/=bye-bye/library-add.c
     utils-arch/library-archives.c
       ==> utils-arch/=bye-bye/library-archives.c
     utils-arch/library-branches.c
       ==> utils-arch/=bye-bye/library-branches.c
     utils-arch/library-categories.c
       ==> utils-arch/=bye-bye/library-categories.c
     utils-arch/library-file.c
       ==> utils-arch/=bye-bye/library-file.c
     utils-arch/library-find.c
       ==> utils-arch/=bye-bye/library-find.c
     utils-arch/library-log.c
       ==> utils-arch/=bye-bye/library-log.c
     utils-arch/library-remove.c
       ==> utils-arch/=bye-bye/library-remove.c
     utils-arch/library-revisions.c
       ==> utils-arch/=bye-bye/library-revisions.c
     utils-arch/library-versions.c
       ==> utils-arch/=bye-bye/library-versions.c
     utils-arch/lock-pristine.c
       ==> utils-arch/=bye-bye/lock-pristine.c
     utils-arch/lock-revision.c
       ==> utils-arch/=bye-bye/lock-revision.c
     utils-arch/log-for-merge.c
       ==> utils-arch/=bye-bye/log-for-merge.c
     utils-arch/log-ls.c
       ==> utils-arch/=bye-bye/log-ls.c
     utils-arch/logs.c
       ==> utils-arch/=bye-bye/logs.c
     utils-arch/ls-archives.c
       ==> utils-arch/=bye-bye/ls-archives.c
     utils-arch/ls-pristines.c
       ==> utils-arch/=bye-bye/ls-pristines.c
     utils-arch/make-archive.c
       ==> utils-arch/=bye-bye/make-archive.c
     utils-arch/make-branch.c
       ==> utils-arch/=bye-bye/make-branch.c
     utils-arch/make-category.c
       ==> utils-arch/=bye-bye/make-category.c
     utils-arch/make-log.c
       ==> utils-arch/=bye-bye/make-log.c
     utils-arch/make-version.c
       ==> utils-arch/=bye-bye/make-version.c
     utils-arch/merges.c
       ==> utils-arch/=bye-bye/merges.c
     utils-arch/move-tag.c
       ==> utils-arch/=bye-bye/move-tag.c
     utils-arch/my-default-archive.c
       ==> utils-arch/=bye-bye/my-default-archive.c
     utils-arch/my-id.c
       ==> utils-arch/=bye-bye/my-id.c
     utils-arch/my-revision-library.c
       ==> utils-arch/=bye-bye/my-revision-library.c
     utils-arch/new-merges.c
       ==> utils-arch/=bye-bye/new-merges.c
     utils-arch/parse-package-name.c
       ==> utils-arch/=bye-bye/parse-package-name.c
     utils-arch/register-archive.c
       ==> utils-arch/=bye-bye/register-archive.c
     utils-arch/remove-log.c
       ==> utils-arch/=bye-bye/remove-log.c
     utils-arch/revisions.c
       ==> utils-arch/=bye-bye/revisions.c
     utils-arch/set-tree-version.c
       ==> utils-arch/=bye-bye/set-tree-version.c
     utils-arch/show-changeset.c
       ==> utils-arch/=bye-bye/show-changeset.c
     utils-arch/srcfind.c
       ==> utils-arch/=bye-bye/srcfind.c
     utils-arch/tagging-method.c
       ==> utils-arch/=bye-bye/tagging-method.c
     utils-arch/tagrev.c
       ==> utils-arch/=bye-bye/tagrev.c
     utils-arch/tree-lint.c
       ==> utils-arch/=bye-bye/tree-lint.c
     utils-arch/tree-root.c
       ==> utils-arch/=bye-bye/tree-root.c
     utils-arch/tree-version.c
       ==> utils-arch/=bye-bye/tree-version.c
     utils-arch/uncacherev.c
       ==> utils-arch/=bye-bye/uncacherev.c
     utils-arch/valid-package-name.c
       ==> utils-arch/=bye-bye/valid-package-name.c
     utils-arch/versions.c
       ==> utils-arch/=bye-bye/versions.c
     utils-arch/what-changed.c
       ==> utils-arch/=bye-bye/what-changed.c
     utils-arch/whats-missing.c
       ==> utils-arch/=bye-bye/whats-missing.c
     utils-arch/whereis-archive.c
       ==> utils-arch/=bye-bye/whereis-archive.c
     utils-arch/archive-snapshot.c
       ==> utils-arch/=bye-bye/archive-snapshot.c
     utils-arch/archive-meta-info.c
       ==> utils-arch/=bye-bye/archive-meta-info.c
     utils-arch/tagging-defaults.c
       ==> utils-arch/=bye-bye/tagging-defaults.c
     utils-arch/update.c
       ==> utils-arch/=bye-bye/update.c
     utils-arch/getrev.c
       ==> utils-arch/=bye-bye/getrev.c
     utils-arch/undo-changes.c
       ==> utils-arch/=bye-bye/undo-changes.c
     utils-arch/redo-changes.c
       ==> utils-arch/=bye-bye/redo-changes.c
     utils-arch/archive-mirror.c
       ==> utils-arch/=bye-bye/archive-mirror.c
     utils-arch/replay.c
       ==> utils-arch/=bye-bye/replay.c
     utils-arch/revdelta.c
       ==> utils-arch/=bye-bye/revdelta.c
     utils-arch/deltapatch.c
       ==> utils-arch/=bye-bye/deltapatch.c
     utils-arch/join-branch.c
       ==> utils-arch/=bye-bye/join-branch.c


    new directories:
     utils-arch/=bye-bye/.arch-ids utils-arch/=bye-bye


2003-06-10 GMT	Tom Lord <lord@emf.net>	patch-251

    Summary:
      cmd-archive-mirror.c (larch push mirror) and libs
    Revision:
      file-utils--devo--1.0--patch-251

    cmd-archive-mirror.c (larch push mirror) and libs
    

    new files:
     libarch/chatter.h libarch/cmd-archive-mirror.h libawk/trim.h
     libarch/cmd-archive-mirror.c libawk/trim.c
     utils-arch/archive-mirror.c libarch/chatter.c

    modified files:
     ChangeLog libarch/archive-mirror.c libarch/archive-mirror.h
     libarch/archive-snapshot.c libarch/archive.c
     libarch/namespace.c utils-arch/Makefile.in


2003-06-10 GMT	Tom Lord <lord@emf.net>	patch-250

    Summary:
      archive-mirror.c (lib part) coded
    Revision:
      file-utils--devo--1.0--patch-250

    archive-mirror.c (lib part) coded
    

    new files:
     libarch/archive-mirror.c libarch/archive-mirror.h

    modified files:
     ChangeLog libarch/archive.c libarch/archive.h
     libarch/cmd-archive-meta-info.c
     libarch/cmd-archive-meta-info.h utils-arch/archive-meta-info.c


2003-06-10 GMT	Tom Lord <lord@emf.net>	patch-249

    Summary:
      don't write to a mirror unless the client intends to
    Revision:
      file-utils--devo--1.0--patch-249

    don't write to a mirror unless the client intends to
    
    

    modified files:
     ChangeLog libarch/archive.c libarch/archive.h
     libarch/build-revision.c libarch/cmd-archive-meta-info.c
     libarch/cmd-archive-snapshot.c libarch/cmd-archive-version.c
     libarch/cmd-branches.c libarch/cmd-cachedrevs.c
     libarch/cmd-cacherev.c libarch/cmd-cat-archive-log.c
     libarch/cmd-categories.c libarch/cmd-cmtrev.c
     libarch/cmd-get-patch.c libarch/cmd-getrev.c
     libarch/cmd-imprev.c libarch/cmd-join-branch.c
     libarch/cmd-library-add.c libarch/cmd-lock-revision.c
     libarch/cmd-make-branch.c libarch/cmd-make-category.c
     libarch/cmd-make-version.c libarch/cmd-merges.c
     libarch/cmd-replay.c libarch/cmd-revisions.c
     libarch/cmd-tagrev.c libarch/cmd-uncacherev.c
     libarch/cmd-update.c libarch/cmd-versions.c
     libarch/cmd-whats-missing.c libarch/library-txn.c
     libarch/replay.c


2003-06-10 GMT	Tom Lord <lord@emf.net>	patch-248

    Summary:
      new command -- archive-meta-info.c and libs
    Revision:
      file-utils--devo--1.0--patch-248

    new command -- archive-meta-info.c and libs

    new files:
     libarch/cmd-archive-meta-info.c utils-arch/archive-meta-info.c
     libarch/cmd-archive-meta-info.h

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.h
     utils-arch/Makefile.in


2003-06-10 GMT	Tom Lord <lord@emf.net>	patch-247

    Summary:
      archive protocol extended with arch_archive_get_meta_info
    Revision:
      file-utils--devo--1.0--patch-247

    archive protocol extended with arch_archive_get_meta_info

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive-pfs.c
     libarch/archive.c libarch/archive.h libarch/archives.c
     libarch/archives.h


2003-06-10 GMT	Tom Lord <lord@emf.net>	patch-246

    Summary:
      set_archive_location in make-archive is protocol specific
          for archive-fs -- make the registered archive location 
          an absolute path
    Revision:
      file-utils--devo--1.0--patch-246

    
    set_archive_location in make-archive is protocol specific
              for archive-fs -- make the registered archive location 
              an absolute path

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c libarch/pfs.c


2003-06-10 GMT	Tom Lord <lord@emf.net>	patch-245

    Summary:
      make archive help message nit
    Revision:
      file-utils--devo--1.0--patch-245

    make archive help message nit
    

    modified files:
     ChangeLog libarch/cmd-make-archive.c


2003-06-09 GMT	Tom Lord <lord@emf.net>	patch-244

    Summary:
      trivial -Wall fixes
    Revision:
      file-utils--devo--1.0--patch-244

    trivial -Wall fixes

    modified files:
     ChangeLog libarch/cmd-archive-snapshot.h libarch/pfs.c


2003-06-09 GMT	Tom Lord <lord@emf.net>	patch-243

    Summary:
      merge with srp, primarily make-archive --mirror support
    Revision:
      file-utils--devo--1.0--patch-243

    Patches applied:
    
     * software@srparish.net/file-utils--devo--1.0--patch-9
       merge with lord
    
     * software@srparish.net/file-utils--devo--1.0--patch-10
       nit fix: version string now passed into archive-X as arg
    
     * software@srparish.net/file-utils--devo--1.0--patch-11
       pfs-make-archive uri is now split better for dav 
    
     * software@srparish.net/file-utils--devo--1.0--patch-12
       added --mirror option to make-archive
    

    new files:
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/software@srparish.net/patch-log/patch-10
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/software@srparish.net/patch-log/patch-11
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/software@srparish.net/patch-log/patch-12
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/software@srparish.net/patch-log/patch-9

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive-fs.h
     libarch/archive-pfs.c libarch/archive-pfs.h libarch/archive.c
     libarch/archive.h libarch/archives.h
     libarch/cmd-make-archive.c libarch/pfs.c libarch/pfs.h

    new patches:
     software@srparish.net/file-utils--devo--1.0--patch-9
     software@srparish.net/file-utils--devo--1.0--patch-10
     software@srparish.net/file-utils--devo--1.0--patch-11
     software@srparish.net/file-utils--devo--1.0--patch-12


2003-06-09 GMT	Tom Lord <lord@emf.net>	patch-242

    Summary:
      trivial cleanups to `make-archive' merge
    Revision:
      file-utils--devo--1.0--patch-242

    Trivial cleanups to `make-archive' merge:
    
    * fixed a -Wall warning (pfs.h not updated)
    * move arch_set_archive_location calls to archive.c from archive
      protocol implementations
    

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c libarch/pfs.c
     libarch/pfs.h


2003-06-09 GMT	Tom Lord <lord@emf.net>	patch-241

    Summary:
      merge remote make-archive support from srp
    Revision:
      file-utils--devo--1.0--patch-241

    merge remote make-archive support from srp
    

    new files:
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/software@srparish.net/patch-log/patch-4
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/software@srparish.net/patch-log/patch-5
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/software@srparish.net/patch-log/patch-6
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/software@srparish.net/patch-log/patch-7
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/software@srparish.net/patch-log/patch-8

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive-fs.h
     libarch/archive-pfs.c libarch/archive-pfs.h libarch/archive.c
     libarch/archives.c libarch/pfs-dav.c libarch/pfs-dav.h
     libarch/pfs-sftp.c libarch/pfs-sftp.h libarch/pfs.c

    new patches:
     software@srparish.net/file-utils--devo--1.0--patch-4
     software@srparish.net/file-utils--devo--1.0--patch-5
     software@srparish.net/file-utils--devo--1.0--patch-6
     software@srparish.net/file-utils--devo--1.0--patch-7
     software@srparish.net/file-utils--devo--1.0--patch-8


2003-06-09 GMT	Tom Lord <lord@emf.net>	patch-240

    Summary:
      new command -- archive-snapshot.c and libs
    Revision:
      file-utils--devo--1.0--patch-240

    new command -- archive-snapshot.c and libs
    

    new files:
     =notifiers/revisions.mk libarch/archive-snapshot.c
     libarch/cmd-archive-snapshot.c utils-arch/archive-snapshot.c
     libarch/archive-snapshot.h libarch/cmd-archive-snapshot.h

    modified files:
     ChangeLog utils-arch/Makefile.in

    new directories:
     =notifiers


2003-06-09 GMT	Tom Lord <lord@emf.net>	patch-239

    Summary:
      init-tree now fills in =tagging-method
    Revision:
      file-utils--devo--1.0--patch-239

    init-tree now fills in =tagging-method
    
    

    modified files:
     =THANKS ChangeLog libarch/inv-tags.c libarch/project-tree.c


2003-06-09 GMT	Tom Lord <lord@emf.net>	patch-238

    Summary:
      groundwork for initialized =tagging-method files coded
    Revision:
      file-utils--devo--1.0--patch-238

    groundwork for initialized =tagging-method files coded
    

    new files:
     libarch/cmd-tagging-defaults.h libarch/cmd-tagging-defaults.c
     utils-arch/tagging-defaults.c

    removed files:
     file-utils

    modified files:
     ChangeLog libarch/inv-tags.c libarch/inv-tags.h
     libarch/invent.c libarch/invent.h utils-arch/Makefile.in


2003-06-08 GMT	Tom Lord <lord@emf.net>	patch-237

    Summary:
      fixed 2 minor -Wall warnings
    Revision:
      file-utils--devo--1.0--patch-237

    fixed 2 minor -Wall warnings
    

    modified files:
     ChangeLog libarch/my.c libarch/pfs-sftp.c


2003-06-08 GMT	Tom Lord <lord@emf.net>	patch-236

    Summary:
      merge in sftp support from srp
    Revision:
      file-utils--devo--1.0--patch-236

    merge in sftp support from srp

    new files:
     file-utils
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/software@srparish.net/patch-log/patch-1
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/software@srparish.net/patch-log/patch-2
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/software@srparish.net/patch-log/patch-3
     libarch/sftp.h libarch/pfs-sftp.h libarch/pfs-sftp.c

    modified files:
     ChangeLog libarch/archive.c libarch/pfs-dav.c libarch/pfs.c

    new patches:
     software@srparish.net/file-utils--devo--1.0--patch-1
     software@srparish.net/file-utils--devo--1.0--patch-2
     software@srparish.net/file-utils--devo--1.0--patch-3


2003-06-08 GMT	Tom Lord <lord@emf.net>	patch-235

    Summary:
      join srp's branch for sftp merge
    Revision:
      file-utils--devo--1.0--patch-235

    join srp's branch for sftp merge

    new files:
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/software@srparish.net/patch-log/base-0

    modified files:
     ChangeLog

    new directories:
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/software@srparish.net
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/software@srparish.net/patch-log

    new patches:
     software@srparish.net/file-utils--devo--1.0--base-0


2003-06-08 GMT	Tom Lord <lord@emf.net>	patch-234

    Summary:
      honor dont-care tagging in tree-lint
    Revision:
      file-utils--devo--1.0--patch-234

    honor dont-care tagging in tree-lint

    modified files:
     ChangeLog libarch/inv-tags.c libarch/inv-tags.h
     libarch/proj-tree-lint.c


2003-06-08 GMT	Tom Lord <lord@emf.net>	patch-233

    Summary:
      added the "tagline" tagging method
    Revision:
      file-utils--devo--1.0--patch-233

    tagline is like implicit except that it doesn't 
    permit basename-based tags.  i.e., this comment
    is not a tag:
    
    	/* foo.c - frob the foo widgets
    
    but this is:
    
    	/* tag: frob the foo widgets
    

    modified files:
     ChangeLog libarch/cmd-add-tag.c libarch/cmd-inv-tag.c
     libarch/cmd-srcfind.c libarch/inv-tags.c libarch/inv-tags.h
     libarch/invent.c libarch/proj-tree-lint.c liblarch/ftag.c
     liblarch/ftag.h liblarch/inv.c liblarch/inv.h
     utils-larch/file-tag.c utils-larch/inventory.c


2003-06-08 GMT	Tom Lord <lord@emf.net>	patch-232

    Summary:
      better CLI processing in lock-revision
    Revision:
      file-utils--devo--1.0--patch-232

    Better CLI processing in lock-revision:
    
    If user asks to break the lock patch-N, don't quietly
    go ahead and break the lock for patch-N+K, instead reporting 
    that patch-N isn't locked.
    

    modified files:
     ChangeLog libarch/archive-fs.c libarch/cmd-lock-revision.c


2003-06-08 GMT	Tom Lord <lord@emf.net>	patch-231

    Summary:
      be robust when .arch-params/=id doesn't exist
    Revision:
      file-utils--devo--1.0--patch-231

    be robust when .arch-params/=id doesn't exist
    

    modified files:
     =THANKS ChangeLog libarch/my.c


2003-06-08 GMT	Tom Lord <lord@emf.net>	patch-230

    Summary:
      create needed directories when registering archives
    Revision:
      file-utils--devo--1.0--patch-230

    create needed directories when registering archives

    modified files:
     =THANKS ChangeLog libarch/archives.c libarch/my.c libarch/my.h


2003-06-08 GMT	Tom Lord <lord@emf.net>	patch-229

    Summary:
      be robust when no default archive is set
    Revision:
      file-utils--devo--1.0--patch-229

    be robust when no default archive is set
    

    modified files:
     =THANKS ChangeLog libarch/cmd-categories.c
     libarch/cmd-library-categories.c libarch/my.c
     libarch/namespace.c


2003-06-08 GMT	Tom Lord <lord@emf.net>	patch-228

    Summary:
      fixed cacherev bug caused by missing mkdir
    Revision:
      file-utils--devo--1.0--patch-228

    fixed cacherev bug caused by missing mkdir

    modified files:
     =THANKS ChangeLog libarch/cmd-cacherev.c


2003-06-08 GMT	Tom Lord <lord@emf.net>	patch-227

    Summary:
      fixed replay panic open(2)ing NULL on conflicts
    Revision:
      file-utils--devo--1.0--patch-227

    fixed replay panic open(2)ing NULL on conflicts
    

    modified files:
     =THANKS ChangeLog libarch/replay.c


2003-06-08 GMT	Tom Lord <lord@emf.net>	patch-226

    Summary:
      untagged source is a soft tree-lint error with implicit tagging
    Revision:
      file-utils--devo--1.0--patch-226

    untagged source is a soft tree-lint error with implicit tagging
    

    modified files:
     ChangeLog libarch/cmd-redo-changes.c libarch/cmd-tree-lint.c
     libarch/cmd-undo-changes.c libarch/proj-tree-lint.c
     libarch/proj-tree-lint.h


2003-06-07 GMT	Tom Lord <lord@emf.net>	patch-225

    Summary:
      libify all commands (cherrypick merge with stig)
    Revision:
      file-utils--devo--1.0--patch-225

    libify all commands (cherrypick merge with stig)
    
    Patches applied:
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-9
       included missing header file in file-diffs.c
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-10
       more help message fixes
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-12
       more help message fixes
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-16
       fix {undo,redo}-changes help messages again
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-17
       libify add-log
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-18
       libify add-tag
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-19
       libify archive-version
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-20
       libify branches
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-21
       libify buildcfg
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-22
       libify cachedrevs
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-23
       libify cacherev
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-24
       libify cat-archive-log
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-25
       libify categories
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-26
       libify cat-log
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-27
       libify cfgcat
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-28
       libify changelog
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-29
       libify cmtrev
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-30
       libify default-tag
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-31
       libify delete-tag
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-32
       libify changeset
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-34
       libify do-changeset
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-35
       libify file-diffs
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-36
       libify find-pristine
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-37
       libify get-patch
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-38
       libify imprev
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-39
       libify init-tree
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-40
       libify inv-tag
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-41
       libify library-add
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-42
       libify library-archives
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-43
       libify library-branches
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-44
       libify library-categories
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-45
       libify library-file
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-46
       libify library-find
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-47
       libify library-log
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-48
       libify library-remove
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-49
       libify library-revisions
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-50
       libify library-versions
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-51
       fix typo in cmd-library-library-file 
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-52
       libify lock-pristine
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-53
       libify lock-revision
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-54
       libify log-for-merge
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-55
       libify log-ls
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-56
       libify logs
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-57
       libify ls-archives
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-58
       libify ls-pristines
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-59
       libify make-archive
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-60
       libify make-branch
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-61
       libify make-category
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-62
       libify make-log
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-63
       libify make-version
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-64
       libify merges
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-65
       libify move-tag
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-66
       libify my-default-archive
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-67
       fixed typo in cmd-make-archive.c
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-68
       libify my-id
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-69
       libify my-revision-library
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-70
       libify new-merges
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-71
       libify parse-package-name
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-72
       libify register-archive
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-73
       libify remove-log
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-74
       libify revisions
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-75
       libify set-tree-version
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-76
       libify show-changeset
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-77
       libify srcfind
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-78
       libify tagging-method
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-79
       libify tagrev
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-80
       libify tree-lint
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-81
       libify tree-root
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-82
       libify tree-version
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-83
       libify uncacherev
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-84
       libify valid-package-name
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-85
       libify versions
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-86
       libify what-changed
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-87
       libify whats-missing
    
     * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-88
       libify whereis-archive
    

    new files:
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-10
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-12
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-16
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-17
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-18
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-19
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-20
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-21
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-22
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-23
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-24
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-25
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-26
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-27
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-28
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-29
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-30
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-31
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-32
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-34
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-35
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-36
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-37
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-38
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-39
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-40
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-41
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-42
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-43
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-44
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-45
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-46
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-47
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-48
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-49
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-50
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-51
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-52
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-53
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-54
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-55
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-56
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-57
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-58
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-59
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-60
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-61
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-62
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-63
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-64
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-65
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-66
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-67
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-68
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-69
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-70
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-71
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-72
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-73
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-74
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-75
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-76
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-77
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-78
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-79
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-80
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-81
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-82
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-83
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-84
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-85
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-86
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-87
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-88
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-9
     utils-arch/add-log.c libarch/cmd-add-log.h
     utils-arch/add-tag.c libarch/cmd-add-tag.h
     utils-arch/archive-version.c libarch/cmd-archive-version.h
     utils-arch/branches.c libarch/cmd-branches.h
     utils-arch/buildcfg.c libarch/cmd-buildcfg.h
     utils-arch/cachedrevs.c libarch/cmd-cachedrevs.h
     utils-arch/cacherev.c libarch/cmd-cacherev.h
     utils-arch/cat-archive-log.c libarch/cmd-cat-archive-log.h
     utils-arch/categories.c libarch/cmd-categories.h
     utils-arch/cat-log.c libarch/cmd-cat-log.h utils-arch/cfgcat.c
     libarch/cmd-cfgcat.h utils-arch/changelog.c
     libarch/cmd-changelog.h libarch/cmd-cmtrev.h
     utils-arch/cmtrev.c libarch/cmd-default-tag.h
     utils-arch/default-tag.c libarch/cmd-delete-tag.h
     utils-arch/delete-tag.c utils-arch/changeset.c
     libarch/cmd-changeset.h libarch/cmd-do-changeset.h
     utils-arch/do-changeset.c libarch/cmd-file-diffs.h
     utils-arch/file-diffs.c libarch/cmd-find-pristine.h
     utils-arch/find-pristine.c libarch/cmd-get-patch.h
     utils-arch/get-patch.c libarch/cmd-imprev.h
     utils-arch/imprev.c libarch/cmd-init-tree.h
     utils-arch/init-tree.c libarch/cmd-inv-tag.h
     utils-arch/inv-tag.c libarch/cmd-library-add.h
     utils-arch/library-add.c libarch/cmd-library-archives.h
     utils-arch/library-archives.c utils-arch/library-branches.c
     libarch/cmd-library-branches.h
     libarch/cmd-library-categories.h
     utils-arch/library-categories.c libarch/cmd-library-file.h
     utils-arch/library-file.c libarch/cmd-library-find.h
     utils-arch/library-find.c libarch/cmd-library-log.h
     utils-arch/library-log.c libarch/cmd-library-remove.h
     utils-arch/library-remove.c libarch/cmd-library-revisions.h
     utils-arch/library-revisions.c libarch/cmd-library-versions.h
     utils-arch/library-versions.c libarch/cmd-lock-pristine.h
     utils-arch/lock-pristine.c libarch/cmd-lock-revision.h
     utils-arch/lock-revision.c libarch/cmd-log-for-merge.h
     utils-arch/log-for-merge.c libarch/cmd-log-ls.h
     utils-arch/log-ls.c libarch/cmd-logs.h utils-arch/logs.c
     libarch/cmd-ls-archives.h utils-arch/ls-archives.c
     libarch/cmd-ls-pristines.h utils-arch/ls-pristines.c
     libarch/cmd-make-archive.h utils-arch/make-archive.c
     libarch/cmd-make-branch.h utils-arch/make-branch.c
     utils-arch/make-category.c libarch/cmd-make-category.h
     libarch/cmd-make-log.h utils-arch/make-log.c
     libarch/cmd-make-version.h utils-arch/make-version.c
     libarch/cmd-merges.h utils-arch/merges.c
     libarch/cmd-move-tag.h utils-arch/move-tag.c
     libarch/cmd-my-default-archive.h
     utils-arch/my-default-archive.c libarch/cmd-my-id.h
     utils-arch/my-id.c libarch/cmd-my-revision-library.h
     utils-arch/my-revision-library.c libarch/cmd-new-merges.h
     utils-arch/new-merges.c utils-arch/parse-package-name.c
     libarch/cmd-parse-package-name.h
     libarch/cmd-register-archive.h utils-arch/register-archive.c
     libarch/cmd-remove-log.h utils-arch/remove-log.c
     libarch/cmd-revisions.h utils-arch/revisions.c
     libarch/cmd-set-tree-version.h utils-arch/set-tree-version.c
     libarch/cmd-show-changeset.h utils-arch/show-changeset.c
     libarch/cmd-srcfind.h utils-arch/srcfind.c
     libarch/cmd-tagging-method.h utils-arch/tagging-method.c
     libarch/cmd-tagrev.h utils-arch/tagrev.c
     libarch/cmd-tree-lint.h utils-arch/tree-lint.c
     libarch/cmd-tree-root.h utils-arch/tree-root.c
     libarch/cmd-tree-version.h utils-arch/tree-version.c
     libarch/cmd-uncacherev.h utils-arch/uncacherev.c
     libarch/cmd-valid-package-name.h
     utils-arch/valid-package-name.c libarch/cmd-versions.h
     utils-arch/versions.c libarch/cmd-what-changed.h
     utils-arch/what-changed.c libarch/cmd-whats-missing.h
     utils-arch/whats-missing.c libarch/cmd-whereis-archive.h
     utils-arch/whereis-archive.c

    modified files:
     ChangeLog libarch/cmd-add-log.c libarch/cmd-add-tag.c
     libarch/cmd-archive-version.c libarch/cmd-branches.c
     libarch/cmd-buildcfg.c libarch/cmd-cachedrevs.c
     libarch/cmd-cacherev.c libarch/cmd-cat-archive-log.c
     libarch/cmd-cat-log.c libarch/cmd-categories.c
     libarch/cmd-cfgcat.c libarch/cmd-changelog.c
     libarch/cmd-changeset.c libarch/cmd-cmtrev.c
     libarch/cmd-default-tag.c libarch/cmd-delete-tag.c
     libarch/cmd-do-changeset.c libarch/cmd-file-diffs.c
     libarch/cmd-find-pristine.c libarch/cmd-get-patch.c
     libarch/cmd-imprev.c libarch/cmd-init-tree.c
     libarch/cmd-inv-tag.c libarch/cmd-library-add.c
     libarch/cmd-library-archives.c libarch/cmd-library-branches.c
     libarch/cmd-library-categories.c libarch/cmd-library-file.c
     libarch/cmd-library-find.c libarch/cmd-library-log.c
     libarch/cmd-library-remove.c libarch/cmd-library-revisions.c
     libarch/cmd-library-versions.c libarch/cmd-lock-pristine.c
     libarch/cmd-lock-revision.c libarch/cmd-log-for-merge.c
     libarch/cmd-log-ls.c libarch/cmd-logs.c
     libarch/cmd-ls-archives.c libarch/cmd-ls-pristines.c
     libarch/cmd-make-archive.c libarch/cmd-make-branch.c
     libarch/cmd-make-category.c libarch/cmd-make-log.c
     libarch/cmd-make-version.c libarch/cmd-merges.c
     libarch/cmd-move-tag.c libarch/cmd-my-default-archive.c
     libarch/cmd-my-id.c libarch/cmd-my-revision-library.c
     libarch/cmd-new-merges.c libarch/cmd-parse-package-name.c
     libarch/cmd-redo-changes.c libarch/cmd-register-archive.c
     libarch/cmd-remove-log.c libarch/cmd-revisions.c
     libarch/cmd-set-tree-version.c libarch/cmd-show-changeset.c
     libarch/cmd-srcfind.c libarch/cmd-tagging-method.c
     libarch/cmd-tagrev.c libarch/cmd-tree-lint.c
     libarch/cmd-tree-root.c libarch/cmd-tree-version.c
     libarch/cmd-uncacherev.c libarch/cmd-undo-changes.c
     libarch/cmd-valid-package-name.c libarch/cmd-versions.c
     libarch/cmd-what-changed.c libarch/cmd-whats-missing.c
     libarch/cmd-whereis-archive.c

    renamed files:
     utils-arch/do-changeset.c
       ==> libarch/cmd-do-changeset.c
     utils-arch/make-log.c
       ==> libarch/cmd-make-log.c
     utils-arch/what-changed.c
       ==> libarch/cmd-what-changed.c
     utils-arch/cfgcat.c
       ==> libarch/cmd-cfgcat.c
     utils-arch/library-add.c
       ==> libarch/cmd-library-add.c
     utils-arch/lock-pristine.c
       ==> libarch/cmd-lock-pristine.c
     utils-arch/file-diffs.c
       ==> libarch/cmd-file-diffs.c
     utils-arch/buildcfg.c
       ==> libarch/cmd-buildcfg.c
     utils-arch/parse-package-name.c
       ==> libarch/cmd-parse-package-name.c
     utils-arch/valid-package-name.c
       ==> libarch/cmd-valid-package-name.c
     utils-arch/tree-lint.c
       ==> libarch/cmd-tree-lint.c
     utils-arch/tree-root.c
       ==> libarch/cmd-tree-root.c
     utils-arch/set-tree-version.c
       ==> libarch/cmd-set-tree-version.c
     utils-arch/my-default-archive.c
       ==> libarch/cmd-my-default-archive.c
     utils-arch/my-id.c
       ==> libarch/cmd-my-id.c
     utils-arch/tree-version.c
       ==> libarch/cmd-tree-version.c
     utils-arch/add-log.c
       ==> libarch/cmd-add-log.c
     utils-arch/make-archive.c
       ==> libarch/cmd-make-archive.c
     utils-arch/cmtrev.c
       ==> libarch/cmd-cmtrev.c
     utils-arch/lock-revision.c
       ==> libarch/cmd-lock-revision.c
     utils-arch/whats-missing.c
       ==> libarch/cmd-whats-missing.c
     utils-arch/register-archive.c
       ==> libarch/cmd-register-archive.c
     utils-arch/whereis-archive.c
       ==> libarch/cmd-whereis-archive.c
     utils-arch/ls-archives.c
       ==> libarch/cmd-ls-archives.c
     utils-arch/imprev.c
       ==> libarch/cmd-imprev.c
     utils-arch/archive-version.c
       ==> libarch/cmd-archive-version.c
     utils-arch/changeset.c
       ==> libarch/cmd-changeset.c
     utils-arch/show-changeset.c
       ==> libarch/cmd-show-changeset.c
     utils-arch/ls-pristines.c
       ==> libarch/cmd-ls-pristines.c
     utils-arch/cacherev.c
       ==> libarch/cmd-cacherev.c
     utils-arch/uncacherev.c
       ==> libarch/cmd-uncacherev.c
     utils-arch/cachedrevs.c
       ==> libarch/cmd-cachedrevs.c
     utils-arch/new-merges.c
       ==> libarch/cmd-new-merges.c
     utils-arch/log-for-merge.c
       ==> libarch/cmd-log-for-merge.c
     utils-arch/init-tree.c
       ==> libarch/cmd-init-tree.c
     utils-arch/logs.c
       ==> libarch/cmd-logs.c
     utils-arch/cat-log.c
       ==> libarch/cmd-cat-log.c
     utils-arch/log-ls.c
       ==> libarch/cmd-log-ls.c
     utils-arch/changelog.c
       ==> libarch/cmd-changelog.c
     utils-arch/remove-log.c
       ==> libarch/cmd-remove-log.c
     utils-arch/categories.c
       ==> libarch/cmd-categories.c
     utils-arch/branches.c
       ==> libarch/cmd-branches.c
     utils-arch/versions.c
       ==> libarch/cmd-versions.c
     utils-arch/revisions.c
       ==> libarch/cmd-revisions.c
     utils-arch/cat-archive-log.c
       ==> libarch/cmd-cat-archive-log.c
     utils-arch/get-patch.c
       ==> libarch/cmd-get-patch.c
     utils-arch/make-category.c
       ==> libarch/cmd-make-category.c
     utils-arch/merges.c
       ==> libarch/cmd-merges.c
     utils-arch/tagrev.c
       ==> libarch/cmd-tagrev.c
     utils-arch/inv-tag.c
       ==> libarch/cmd-inv-tag.c
     utils-arch/tagging-method.c
       ==> libarch/cmd-tagging-method.c
     utils-arch/srcfind.c
       ==> libarch/cmd-srcfind.c
     utils-arch/add-tag.c
       ==> libarch/cmd-add-tag.c
     utils-arch/delete-tag.c
       ==> libarch/cmd-delete-tag.c
     utils-arch/move-tag.c
       ==> libarch/cmd-move-tag.c
     utils-arch/default-tag.c
       ==> libarch/cmd-default-tag.c
     utils-arch/make-branch.c
       ==> libarch/cmd-make-branch.c
     utils-arch/make-version.c
       ==> libarch/cmd-make-version.c
     utils-arch/my-revision-library.c
       ==> libarch/cmd-my-revision-library.c
     utils-arch/library-find.c
       ==> libarch/cmd-library-find.c
     utils-arch/library-log.c
       ==> libarch/cmd-library-log.c
     utils-arch/library-categories.c
       ==> libarch/cmd-library-categories.c
     utils-arch/library-branches.c
       ==> libarch/cmd-library-branches.c
     utils-arch/library-versions.c
       ==> libarch/cmd-library-versions.c
     utils-arch/library-revisions.c
       ==> libarch/cmd-library-revisions.c
     utils-arch/library-archives.c
       ==> libarch/cmd-library-archives.c
     utils-arch/library-remove.c
       ==> libarch/cmd-library-remove.c
     utils-arch/find-pristine.c
       ==> libarch/cmd-find-pristine.c
     utils-arch/library-file.c
       ==> libarch/cmd-library-file.c


    new patches:
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-9
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-10
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-12
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-16
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-17
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-18
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-19
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-20
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-21
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-22
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-23
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-24
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-25
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-26
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-27
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-28
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-29
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-30
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-31
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-32
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-34
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-35
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-36
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-37
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-38
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-39
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-40
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-41
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-42
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-43
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-44
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-45
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-46
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-47
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-48
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-49
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-50
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-51
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-52
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-53
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-54
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-55
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-56
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-57
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-58
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-59
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-60
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-61
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-62
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-63
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-64
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-65
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-66
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-67
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-68
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-69
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-70
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-71
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-72
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-73
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-74
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-75
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-76
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-77
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-78
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-79
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-80
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-81
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-82
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-83
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-84
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-85
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-86
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-87
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-88


2003-06-07 GMT	Tom Lord <lord@emf.net>	patch-224

    Summary:
      tolerate missing .archive-version files, handle .listing files
    Revision:
      file-utils--devo--1.0--patch-224

    tolerate missing .archive-version files, handle .listing files
    

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive-pfs.c
     libarch/archives.c libarch/archives.h libarch/pfs-dav.c


2003-06-07 GMT	Tom Lord <lord@emf.net>	patch-223

    Summary:
      tag libneon
    Revision:
      file-utils--devo--1.0--patch-223

    tag libneon

    new files:
     libneon/.arch-ids/=id

    modified files:
     ChangeLog

    renamed files:
     libneon/ltconfig
       ==> libneon/ltconfig
     libneon/ltmain.sh
       ==> libneon/ltmain.sh
     libneon/COPYING.LIB
       ==> libneon/COPYING.LIB
     libneon/ChangeLog
       ==> libneon/ChangeLog
     libneon/Makefile.in
       ==> libneon/Makefile.in
     libneon/README
       ==> libneon/README
     libneon/aclocal.m4
       ==> libneon/aclocal.m4
     libneon/autogen.sh
       ==> libneon/autogen.sh
     libneon/base64.c
       ==> libneon/base64.c
     libneon/base64.h
       ==> libneon/base64.h
     libneon/config.guess
       ==> libneon/config.guess
     libneon/config.h.in
       ==> libneon/config.h.in
     libneon/config.sub
       ==> libneon/config.sub
     libneon/configure
       ==> libneon/configure
     libneon/configure.in
       ==> libneon/configure.in
     libneon/install-sh
       ==> libneon/install-sh
     libneon/libs.mk.in
       ==> libneon/libs.mk.in
     libneon/ne_207.c
       ==> libneon/ne_207.c
     libneon/ne_207.h
       ==> libneon/ne_207.h
     libneon/ne_acl.c
       ==> libneon/ne_acl.c
     libneon/ne_acl.h
       ==> libneon/ne_acl.h
     libneon/ne_alloc.c
       ==> libneon/ne_alloc.c
     libneon/ne_alloc.h
       ==> libneon/ne_alloc.h
     libneon/ne_auth.c
       ==> libneon/ne_auth.c
     libneon/ne_auth.h
       ==> libneon/ne_auth.h
     libneon/ne_basic.c
       ==> libneon/ne_basic.c
     libneon/ne_basic.h
       ==> libneon/ne_basic.h
     libneon/ne_compress.c
       ==> libneon/ne_compress.c
     libneon/ne_compress.h
       ==> libneon/ne_compress.h
     libneon/ne_cookies.c
       ==> libneon/ne_cookies.c
     libneon/ne_cookies.h
       ==> libneon/ne_cookies.h
     libneon/ne_dates.c
       ==> libneon/ne_dates.c
     libneon/ne_dates.h
       ==> libneon/ne_dates.h
     libneon/ne_defs.h
       ==> libneon/ne_defs.h
     libneon/ne_i18n.c
       ==> libneon/ne_i18n.c
     libneon/ne_i18n.h
       ==> libneon/ne_i18n.h
     libneon/ne_locks.c
       ==> libneon/ne_locks.c
     libneon/ne_locks.h
       ==> libneon/ne_locks.h
     libneon/ne_md5.c
       ==> libneon/ne_md5.c
     libneon/ne_md5.h
       ==> libneon/ne_md5.h
     libneon/ne_private.h
       ==> libneon/ne_private.h
     libneon/ne_props.c
       ==> libneon/ne_props.c
     libneon/ne_props.h
       ==> libneon/ne_props.h
     libneon/ne_redirect.c
       ==> libneon/ne_redirect.c
     libneon/ne_redirect.h
       ==> libneon/ne_redirect.h
     libneon/ne_request.c
       ==> libneon/ne_request.c
     libneon/ne_request.h
       ==> libneon/ne_request.h
     libneon/ne_session.c
       ==> libneon/ne_session.c
     libneon/ne_session.h
       ==> libneon/ne_session.h
     libneon/ne_socket.c
       ==> libneon/ne_socket.c
     libneon/ne_socket.h
       ==> libneon/ne_socket.h
     libneon/ne_string.c
       ==> libneon/ne_string.c
     libneon/ne_string.h
       ==> libneon/ne_string.h
     libneon/ne_uri.c
       ==> libneon/ne_uri.c
     libneon/ne_uri.h
       ==> libneon/ne_uri.h
     libneon/ne_utils.c
       ==> libneon/ne_utils.c
     libneon/ne_utils.h
       ==> libneon/ne_utils.h
     libneon/ne_xml.c
       ==> libneon/ne_xml.c
     libneon/ne_xml.h
       ==> libneon/ne_xml.h
     libneon/sslcerts.c
       ==> libneon/sslcerts.c


    new directories:
     libneon

    removed directories:
     libneon

    renamed directories:
     libneon/.arch-ids
       ==> libneon/.arch-ids
     libneon/PLUGIN
       ==> libneon/PLUGIN
     libneon/expat
       ==> libneon/expat
     libneon/macros
       ==> libneon/macros



2003-06-07 GMT	Tom Lord <lord@emf.net>	patch-222

    Summary:
      added the changeset tests to the tree
    Revision:
      file-utils--devo--1.0--patch-222

    added the changeset tests to the tree

    new files:
     tests/.arch-ids/=id tests/changeset-tests/.arch-ids/=id
     tests/changeset-tests/run-test.sh
     tests/changeset-tests/dir_compare.sh
     tests/changeset-tests/edit-tree-randomly
     tests/changeset-tests/chmod_random
     tests/changeset-tests/README

    modified files:
     ChangeLog

    new directories:
     tests/.arch-ids tests/changeset-tests/.arch-ids tests
     tests/changeset-tests


2003-06-07 GMT	Tom Lord <lord@emf.net>	patch-221

    Summary:
      pfs/webdav support fully coded, lightly tested
    Revision:
      file-utils--devo--1.0--patch-221

    pfs/webdav support fully coded, lightly tested
    

    modified files:
     ChangeLog libarch/archive-pfs.c


2003-06-07 GMT	Tom Lord <lord@emf.net>	patch-220

    Summary:
      pfs/webdav write access passing preliminary tests
    Revision:
      file-utils--devo--1.0--patch-220

    pfs/webdav write access passing preliminary tests
    

    modified files:
     ChangeLog libarch/archive-pfs.c libarch/pfs-dav.c
     libarch/pfs.c libarch/pfs.h


2003-06-06 GMT	Tom Lord <lord@emf.net>	patch-219

    Summary:
      partial remote transport write support coded
    Revision:
      file-utils--devo--1.0--patch-219

    partial remote transport write support coded
    

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive-pfs.c
     libarch/pfs-dav.c libarch/pfs.c libarch/pfs.h


2003-06-06 GMT	Tom Lord <lord@emf.net>	patch-218

    Summary:
      pfs_lock_revision and webdav for that coded
    Revision:
      file-utils--devo--1.0--patch-218

    pfs_lock_revision and webdav for that coded
    

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive-pfs.c
     libarch/pfs-dav.c libarch/pfs.c libarch/pfs.h


2003-06-06 GMT	Tom Lord <lord@emf.net>	patch-217

    Summary:
      webdav enough for make-{branch,version}
    Revision:
      file-utils--devo--1.0--patch-217

    webdav enough for make-{branch,version}

    modified files:
     ChangeLog libarch/archive-pfs.c


2003-06-06 GMT	Tom Lord <lord@emf.net>	patch-216

    Summary:
      webdav enough to make-category
    Revision:
      file-utils--devo--1.0--patch-216

    webdav enough to make-category
    

    modified files:
     ChangeLog libarch/archive-pfs.c libarch/pfs-dav.c
     libarch/pfs.c libarch/pfs.h


2003-06-06 GMT	Tom Lord <lord@emf.net>	patch-215

    Summary:
      webdav read access working
    Revision:
      file-utils--devo--1.0--patch-215

    webdav read access working
    

    modified files:
     ChangeLog libarch/archive-pfs.c libarch/pfs-dav.c
     libarch/pfs.c libarch/pfs.h


2003-06-06 GMT	Tom Lord <lord@emf.net>	patch-214

    Summary:
      webdav branches/versions/revisions/cat-archive-log
    Revision:
      file-utils--devo--1.0--patch-214

    webdav branches/versions/revisions/cat-archive-log
    

    modified files:
     ChangeLog libarch/archive-pfs.c utils-arch/revisions.c


2003-06-06 GMT	Tom Lord <lord@emf.net>	patch-213

    Summary:
      webdav support for arch_archive_categories
    Revision:
      file-utils--devo--1.0--patch-213

    webdav support for arch_archive_categories

    modified files:
     ChangeLog libarch/archive-pfs.c libarch/pfs-dav.c
     libarch/pfs.c libarch/pfs.h


2003-06-06 GMT	Tom Lord <lord@emf.net>	patch-212

    Summary:
      beginnings of webdav support for the C arch
    Revision:
      file-utils--devo--1.0--patch-212

    beginnings of webdav support for the C arch

    new files:
     libneon/PLUGIN/.arch-ids/=dont-care
     libneon/expat/gennmtab/.arch-ids/=dont-care
     libneon/expat/xmlparse/.arch-ids/=dont-care
     libneon/expat/xmltok/.arch-ids/=dont-care
     libneon/expat/.arch-ids/=dont-care
     libneon/macros/.arch-ids/=dont-care
     libneon/.arch-ids/=dont-care libneon/ltconfig
     libneon/ltmain.sh libarch/archive-pfs.h libarch/pfs-dav.h
     libarch/pfs.h libarch/pfs.c libarch/pfs-dav.c
     utils-arch/archive-version.c libarch/archive-pfs.c
     libneon/COPYING.LIB libneon/ChangeLog libneon/Makefile.in
     libneon/PLUGIN/AUTOCONF libneon/PLUGIN/REQ libneon/README
     libneon/aclocal.m4 libneon/autogen.sh libneon/base64.c
     libneon/base64.h libneon/config.guess libneon/config.h.in
     libneon/config.sub libneon/configure libneon/configure.in
     libneon/expat/ChangeLog libneon/expat/README
     libneon/expat/expat.html libneon/expat/gennmtab/gennmtab.c
     libneon/expat/xmlparse/hashtable.c
     libneon/expat/xmlparse/hashtable.h
     libneon/expat/xmlparse/xmlparse.c
     libneon/expat/xmlparse/xmlparse.h
     libneon/expat/xmltok/asciitab.h
     libneon/expat/xmltok/iasciitab.h
     libneon/expat/xmltok/latin1tab.h
     libneon/expat/xmltok/nametab.h libneon/expat/xmltok/utf8tab.h
     libneon/expat/xmltok/xmldef.h libneon/expat/xmltok/xmlrole.c
     libneon/expat/xmltok/xmlrole.h libneon/expat/xmltok/xmltok.c
     libneon/expat/xmltok/xmltok.h
     libneon/expat/xmltok/xmltok_impl.c
     libneon/expat/xmltok/xmltok_impl.h
     libneon/expat/xmltok/xmltok_ns.c libneon/install-sh
     libneon/libs.mk.in libneon/macros/ChangeLog
     libneon/macros/aclocal-include.m4
     libneon/macros/compiler-flags.m4
     libneon/macros/gnome-common.m4
     libneon/macros/gnome-gnorba-check.m4
     libneon/macros/gnome-orbit-check.m4
     libneon/macros/gnome-print-check.m4
     libneon/macros/gnome-pthread-check.m4
     libneon/macros/gnome-support.m4
     libneon/macros/gnome-x-checks.m4 libneon/macros/gnome.m4
     libneon/macros/neon-debug.m4 libneon/macros/neon-socks.m4
     libneon/macros/neon-ssl.m4 libneon/macros/neon-test.m4
     libneon/macros/neon-warnings.m4
     libneon/macros/neon-xml-parser.m4 libneon/macros/neon.m4
     libneon/macros/readline.m4 libneon/macros/socklen-arg-type.m4
     libneon/macros/strftime.m4 libneon/ne_207.c libneon/ne_207.h
     libneon/ne_acl.c libneon/ne_acl.h libneon/ne_alloc.c
     libneon/ne_alloc.h libneon/ne_auth.c libneon/ne_auth.h
     libneon/ne_basic.c libneon/ne_basic.h libneon/ne_compress.c
     libneon/ne_compress.h libneon/ne_cookies.c
     libneon/ne_cookies.h libneon/ne_dates.c libneon/ne_dates.h
     libneon/ne_defs.h libneon/ne_i18n.c libneon/ne_i18n.h
     libneon/ne_locks.c libneon/ne_locks.h libneon/ne_md5.c
     libneon/ne_md5.h libneon/ne_private.h libneon/ne_props.c
     libneon/ne_props.h libneon/ne_redirect.c libneon/ne_redirect.h
     libneon/ne_request.c libneon/ne_request.h libneon/ne_session.c
     libneon/ne_session.h libneon/ne_socket.c libneon/ne_socket.h
     libneon/ne_string.c libneon/ne_string.h libneon/ne_uri.c
     libneon/ne_uri.h libneon/ne_utils.c libneon/ne_utils.h
     libneon/ne_xml.c libneon/ne_xml.h libneon/sslcerts.c

    modified files:
     ChangeLog libarch/archive.c libfsutils/file-contents.c
     libfsutils/file-contents.h utils-arch/Makefile.in
     utils-arch/PLUGIN/REQ

    new directories:
     libneon libneon/.arch-ids libneon/PLUGIN/.arch-ids
     libneon/expat/.arch-ids libneon/expat/gennmtab/.arch-ids
     libneon/expat/xmlparse/.arch-ids
     libneon/expat/xmltok/.arch-ids libneon/macros/.arch-ids
     libneon/PLUGIN libneon/expat libneon/expat/gennmtab
     libneon/expat/xmlparse libneon/expat/xmltok libneon/macros


2003-06-05 GMT	Tom Lord <lord@emf.net>	patch-211

    Summary:
      update.c (larch update) and libs
    Revision:
      file-utils--devo--1.0--patch-211

    update.c (larch update) and libs
    

    new files:
     utils-arch/update.c

    modified files:
     ChangeLog libarch/cmd-redo-changes.c
     libarch/cmd-undo-changes.c libarch/cmd-update.c libarch/undo.c
     libarch/whats-new.c utils-arch/Makefile.in


2003-06-05 GMT	Tom Lord <lord@emf.net>	patch-210

    Summary:
      cmd-update.c coded
    Revision:
      file-utils--devo--1.0--patch-210

    
    cmd-update.c coded
    

    new files:
     libarch/cmd-update.h

    modified files:
     ChangeLog libarch/cmd-update.c

    renamed files:
     libarch/=cmd-update.c
       ==> libarch/cmd-update.c



2003-06-05 GMT	Tom Lord <lord@emf.net>	patch-209

    Summary:
      arch_whats_new() coded
    Revision:
      file-utils--devo--1.0--patch-209

    arch_whats_new() coded

    new files:
     libarch/whats-new.h libarch/whats-new.c

    modified files:
     ChangeLog libarch/cmd-replay.c


2003-06-05 GMT	Tom Lord <lord@emf.net>	patch-208

    Summary:
      redo-changes.c factored into lib
    Revision:
      file-utils--devo--1.0--patch-208

    redo-changes.c factored into lib
    

    new files:
     libarch/cmd-redo-changes.h libarch/cmd-redo-changes.c

    removed files:
     libarch/=update.h libarch/=update.c

    modified files:
     ChangeLog libarch/=cmd-update.c utils-arch/redo-changes.c


2003-06-05 GMT	Tom Lord <lord@emf.net>	patch-207

    Summary:
      factored undo-changes cmd to lib
    Revision:
      file-utils--devo--1.0--patch-207

    factored undo-changes cmd to lib
    

    new files:
     libarch/cmd-undo-changes.h libarch/=cmd-update.c
     libarch/cmd-undo-changes.c

    modified files:
     ChangeLog libarch/patch-logs.c utils-arch/undo-changes.c


2003-06-05 GMT	Tom Lord <lord@emf.net>	patch-206

    Summary:
      join-branch.c and libs
    Revision:
      file-utils--devo--1.0--patch-206

    join-branch.c and libs
    

    new files:
     utils-arch/join-branch.c

    modified files:
     ChangeLog libarch/cmd-join-branch.c utils-arch/Makefile.in


2003-06-05 GMT	Tom Lord <lord@emf.net>	patch-205

    Summary:
      cmd-join-branch.c coded
    Revision:
      file-utils--devo--1.0--patch-205

    cmd-join-branch.c coded

    new files:
     libarch/cmd-join-branch.h libarch/cmd-join-branch.c

    modified files:
     ChangeLog libarch/patch-logs.c libarch/patch-logs.h


2003-06-05 GMT	Tom Lord <lord@emf.net>	patch-204

    Summary:
      deltapatch.c (larch deltapatch) and libs
    Revision:
      file-utils--devo--1.0--patch-204

    deltapatch.c (larch deltapatch) and libs
    

    new files:
     utils-arch/deltapatch.c

    modified files:
     ChangeLog libarch/cmd-deltapatch.c utils-arch/Makefile.in


2003-06-04 GMT	Tom Lord <lord@emf.net>	patch-203

    Summary:
      cmd-deltapatch.c coded
    Revision:
      file-utils--devo--1.0--patch-203

    cmd-deltapatch.c coded
    

    new files:
     libarch/cmd-deltapatch.h libarch/copy-project-tree.h
     libarch/cmd-deltapatch.c libarch/copy-project-tree.c

    modified files:
     ChangeLog libarch/build-revision.c libarch/cached-inventory.c
     libarch/cmd-replay.c libarch/import.c libarch/invent.c
     libarch/invent.h libarch/library-txn.c libarch/pristines.c


2003-06-04 GMT	Tom Lord <lord@emf.net>	patch-202

    Summary:
      revdelta.c (larch ???) and libs
    Revision:
      file-utils--devo--1.0--patch-202

    revdelta.c (larch ???) and libs

    new files:
     utils-arch/revdelta.c

    modified files:
     ChangeLog libarch/cmd-revdelta.h utils-arch/Makefile.in


2003-06-04 GMT	Tom Lord <lord@emf.net>	patch-201

    Summary:
      cmd-revdelta.c coded
    Revision:
      file-utils--devo--1.0--patch-201

    cmd-revdelta.c coded
    

    new files:
     libarch/cmd-revdelta.h libarch/cmd-revdelta.c

    modified files:
     ChangeLog libarch/arbdelta.c libarch/commit.c
     libarch/file-diffs.c libarch/local-cache.c
     libarch/local-cache.h libarch/undo.c utils-arch/undo-changes.c
     utils-arch/what-changed.c


2003-06-04 GMT	Tom Lord <lord@emf.net>	patch-200

    Summary:
      arch_arbitrary_delta coded
    Revision:
      file-utils--devo--1.0--patch-200

    arch_arbitrary_delta coded
    

    new files:
     libarch/arbdelta.h

    modified files:
     ChangeLog libarch/arbdelta.c

    renamed files:
     libarch/=arbdelta.c
       ==> libarch/arbdelta.c



2003-06-04 GMT	Tom Lord <lord@emf.net>	patch-199

    Summary:
      interface consistency betweeen local-cache.c and build-config.c
    Revision:
      file-utils--devo--1.0--patch-199

    interface consistency betweeen local-cache.c and build-config.c
    

    new files:
     libarch/=arbdelta.c

    modified files:
     ChangeLog libarch/commit.c libarch/local-cache.c
     libarch/local-cache.h


2003-06-04 GMT	Tom Lord <lord@emf.net>	patch-198

    Summary:
      new function -- arch_find_or_make_tmp_local_copy coded
    Revision:
      file-utils--devo--1.0--patch-198

    new function -- arch_find_or_make_tmp_local_copy coded
    

    new files:
     libarch/=update.h libarch/=update.c

    modified files:
     ChangeLog libarch/local-cache.c libarch/local-cache.h


2003-06-04 GMT	Tom Lord <lord@emf.net>	patch-197

    Summary:
      replay.c (larch replay) and libs
    Revision:
      file-utils--devo--1.0--patch-197

    replay.c (larch replay) and libs
    

    new files:
     libarch/cmd-replay.c libarch/cmd-replay.h utils-arch/replay.c

    modified files:
     ChangeLog libarch/replay.c utils-arch/Makefile.in
     utils-arch/cmtrev.c utils-arch/imprev.c


2003-06-04 GMT	Tom Lord <lord@emf.net>	patch-196

    Summary:
      replay.c library coded
    Revision:
      file-utils--devo--1.0--patch-196

    replay.c library coded
    

    new files:
     libarch/replay.h libarch/replay.c

    modified files:
     ChangeLog


2003-06-03 GMT	Tom Lord <lord@emf.net>	patch-195

    Summary:
      log-for-merge.c 
    Revision:
      file-utils--devo--1.0--patch-195

    log-for-merge.c 

    new files:
     utils-arch/log-for-merge.c

    modified files:
     ChangeLog utils-arch/Makefile.in


2003-06-03 GMT	Tom Lord <lord@emf.net>	patch-194

    Summary:
      new-merges (larch new-on-branch) and libs
    Revision:
      file-utils--devo--1.0--patch-194

    new-merges (larch new-on-branch) and libs
    

    new files:
     utils-arch/new-merges.c

    modified files:
     ChangeLog libarch/merge-points.c libarch/patch-logs.c
     utils-arch/Makefile.in


2003-06-03 GMT	Tom Lord <lord@emf.net>	patch-193

    Summary:
      arch_new_in_version (larch new-on-branch) libs coded
    Revision:
      file-utils--devo--1.0--patch-193

    arch_new_in_version (larch new-on-branch) libs coded
    

    modified files:
     ChangeLog libarch/merge-points.c libarch/merge-points.h
     libarch/patch-logs.c libarch/patch-logs.h


2003-06-03 GMT	Tom Lord <lord@emf.net>	patch-192

    Summary:
      buildcfg (larch build-config) and libs
    Revision:
      file-utils--devo--1.0--patch-192

    buildcfg (larch build-config) and libs
    

    new files:
     libarch/cmd-getrev.c libarch/cmd.c utils-arch/buildcfg.c
     libarch/cmd-getrev.h libarch/cmd.h

    modified files:
     ChangeLog libarch/configs.c libarch/configs.h
     utils-arch/Makefile.in utils-arch/file-diffs.c
     utils-arch/getrev.c


2003-06-02 GMT	Tom Lord <lord@emf.net>	patch-191

    Summary:
      fixed tagrev-generated New_patches: header
    Revision:
      file-utils--devo--1.0--patch-191

    fixed tagrev-generated New_patches: header
    

    modified files:
     =THANKS ChangeLog libarch/tag.c


2003-06-02 GMT	Tom Lord <lord@emf.net>	patch-190

    Summary:
      fixed logs.c option names bugs
    Revision:
      file-utils--devo--1.0--patch-190

    fixed logs.c option names bugs
    

    modified files:
     =THANKS ChangeLog utils-arch/logs.c


2003-06-02 GMT	Tom Lord <lord@emf.net>	patch-189

    Summary:
      sync-tree with stig
    Revision:
      file-utils--devo--1.0--patch-189

    
    sync-tree with stig -- no real changes, just restoring 
    star-topology by merging in logs for redundant patches
    
    Patches applied:
    
      * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-6
         up-to-date with lord
    
      * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-5
         replay from lord
    
      * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-4
         merge with lord
    
      * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-3
         merge with lord
    
      * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-1
         make sure `add-log' is built
    
      * stig@brautaset.org--arwen-03/file-utils--stig--1.0--base-0
         tag of lord@emf.net--2003/file-utils--devo--1.0--patch-61
    

    new files:
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/base-0
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-1
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-3
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-4
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-5
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-6

    modified files:
     ChangeLog

    new patches:
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--base-0
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-1
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-3
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-4
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-5
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-6


2003-06-02 GMT	Tom Lord <lord@emf.net>	patch-188

    Summary:
      more help message fixes from stig
    Revision:
      file-utils--devo--1.0--patch-188

    Patches applied:
    
      * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-7
         removed erroneous command names from help messages
    

    new files:
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-7

    modified files:
     ChangeLog utils-arch/add-log.c utils-arch/cfgcat.c
     utils-arch/cmtrev.c utils-arch/do-changeset.c
     utils-arch/find-pristine.c utils-arch/imprev.c
     utils-arch/library-file.c utils-arch/library-find.c
     utils-arch/library-log.c utils-arch/library-remove.c
     utils-arch/ls-pristines.c utils-arch/make-log.c
     utils-arch/merges.c utils-arch/my-revision-library.c
     utils-arch/redo-changes.c utils-arch/srcfind.c
     utils-arch/tagrev.c utils-arch/undo-changes.c
     utils-arch/what-changed.c utils-arch/whats-missing.c

    new patches:
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-7


2003-06-02 GMT	Tom Lord <lord@emf.net>	patch-187

    Summary:
      help message fixes from stig
    Revision:
      file-utils--devo--1.0--patch-187

    
    Patches applied:
    
      * stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-2
         fix lots of help messages 
    
    
    

    new files:
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log/patch-2

    modified files:
     ChangeLog utils-arch/add-tag.c utils-arch/cat-log.c
     utils-arch/changelog.c utils-arch/default-tag.c
     utils-arch/delete-tag.c utils-arch/init-tree.c
     utils-arch/inv-tag.c utils-arch/log-ls.c utils-arch/logs.c
     utils-arch/move-tag.c utils-arch/my-default-archive.c
     utils-arch/parse-package-name.c utils-arch/remove-log.c
     utils-arch/set-tree-version.c utils-arch/show-changeset.c
     utils-arch/tagging-method.c utils-arch/tree-lint.c
     utils-arch/tree-root.c utils-arch/tree-version.c
     utils-arch/valid-package-name.c utils-files/dangerous-rename.c
     utils-files/file-metadata.c utils-files/read-link.c
     utils-files/set-file-metadata.c utils-larch/file-tag.c
     utils-larch/inventory.c utils-locks/with-file-lock.c

    new directories:
     {arch}/file-utils/file-utils--stig
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03
     {arch}/file-utils/file-utils--stig/file-utils--stig--1.0/stig@brautaset.org--arwen-03/patch-log

    new patches:
     stig@brautaset.org--arwen-03/file-utils--stig--1.0--patch-2


2003-06-01 GMT	Tom Lord <lord@emf.net>	patch-186

    Summary:
      colon after "Keywords" in tag.c-generated log messages
    Revision:
      file-utils--devo--1.0--patch-186

    colon after "Keywords" in tag.c-generated log messages
    

    modified files:
     ChangeLog libarch/tag.c


2003-06-01 GMT	Tom Lord <lord@emf.net>	patch-185

    Summary:
      tree-lint and do-changeset bug fixes ("two 9s", now)
    Revision:
      file-utils--devo--1.0--patch-185

    tree-lint and do-changeset bug fixes.
    
    Passes Bob's tests with NUM_TREES == 101 and NUM_EDITS == random(45).
    
    

    modified files:
     ChangeLog libarch/make-changeset.c libarch/proj-tree-lint.c
     libfsutils/copy-file.c


2003-05-31 GMT	Tom Lord <lord@emf.net>	patch-184

    Summary:
      file-diffs.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-184

    file-diffs.c and supporting libs
    

    new files:
     utils-arch/file-diffs.c libfsutils/dir-as-cwd.c
     libfsutils/dir-as-cwd.h

    modified files:
     ChangeLog utils-arch/Makefile.in


2003-05-31 GMT	Tom Lord <lord@emf.net>	patch-183

    Summary:
      arch_file_diffs coded
    Revision:
      file-utils--devo--1.0--patch-183

    arch_file_diffs coded
    

    new files:
     libarch/cached-inventory.c libarch/file-diffs.c
     libarch/cached-inventory.h libarch/file-diffs.h

    modified files:
     ChangeLog


2003-05-31 GMT	Tom Lord <lord@emf.net>	patch-182

    Summary:
      lock-pristine.c and libs
    Revision:
      file-utils--devo--1.0--patch-182

    lock-pristine.c and libs
    

    new files:
     utils-arch/lock-pristine.c

    modified files:
     ChangeLog libarch/library-txn.c libarch/pristines.c
     libarch/pristines.h libfsutils/string-files.c
     utils-arch/Makefile.in


2003-05-31 GMT	Tom Lord <lord@emf.net>	patch-181

    Summary:
      arch_(un)lock_pristine lib routines coded
    Revision:
      file-utils--devo--1.0--patch-181

    arch_(un)lock_pristine lib routines coded
    

    modified files:
     ChangeLog libarch/pristines.c libarch/pristines.h


2003-05-30 GMT	Tom Lord <lord@emf.net>	patch-180

    Summary:
      library-add.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-180

    library-add.c and supporting libs
    

    modified files:
     ChangeLog libarch/archive.c libarch/library-txn.c


2003-05-30 GMT	Tom Lord <lord@emf.net>	patch-179

    Summary:
      library-add.c coded
    Revision:
      file-utils--devo--1.0--patch-179

    library-add.c coded
    

    new files:
     utils-arch/library-add.c libfsutils/link-tree.c
     libfsutils/link-tree.h

    modified files:
     ChangeLog libarch/library-txn.c libarch/library-txn.h
     utils-arch/Makefile.in

    renamed files:
     libarch/=library-txn.c
       ==> libarch/library-txn.c
     libarch/=library-txn.h
       ==> libarch/library-txn.h



2003-05-30 GMT	Tom Lord <lord@emf.net>	patch-178

    Summary:
      arch_library_add coded
    Revision:
      file-utils--devo--1.0--patch-178

    arch_library_add coded
    

    new files:
     libarch/=library-txn.c libarch/=library-txn.h

    modified files:
     ChangeLog libarch/archive.c libarch/archive.h


2003-05-30 GMT	Tom Lord <lord@emf.net>	patch-177

    Summary:
      cfgcat.c (larch {show-config,record-config}) and supporting libs
    Revision:
      file-utils--devo--1.0--patch-177

    cfgcat.c (larch {show-config,record-config}) and supporting libs
    

    new files:
     libarch/configs.c libfsutils/safety.c utils-arch/cfgcat.c
     libarch/configs.h libfsutils/safety.h

    modified files:
     ChangeLog libarch/namespace.c libarch/namespace.h
     libarch/patch-logs.c libarch/patch-logs.h
     libfsutils/read-line.c utils-arch/Makefile.in


2003-05-30 GMT	Tom Lord <lord@emf.net>	patch-176

    Summary:
      cachedrevs (larch archive-cached-revisions) and libs
    Revision:
      file-utils--devo--1.0--patch-176

    cachedrevs (larch archive-cached-revisions) and libs

    new files:
     utils-arch/cachedrevs.c

    modified files:
     ChangeLog libarch/archive-fs.c utils-arch/Makefile.in


2003-05-30 GMT	Tom Lord <lord@emf.net>	patch-175

    Summary:
      uncacherev.c (larch archive-uncache-revision) and supporting libs
    Revision:
      file-utils--devo--1.0--patch-175

    uncacherev.c (larch archive-uncache-revision) and supporting libs
    

    new files:
     utils-arch/uncacherev.c

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h utils-arch/Makefile.in utils-arch/cacherev.c


2003-05-30 GMT	Tom Lord <lord@emf.net>	patch-174

    Summary:
      cacherev.c (larch archive-cache-revision) and supporting libs
    Revision:
      file-utils--devo--1.0--patch-174

    cacherev.c (larch archive-cache-revision) and supporting libs
    

    new files:
     utils-arch/cacherev.c

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h utils-arch/Makefile.in


2003-05-30 GMT	Tom Lord <lord@emf.net>	patch-173

    Summary:
      redo-changes.c (larch redo) and supporting libs
    Revision:
      file-utils--devo--1.0--patch-173

    redo-changes.c (larch redo) and supporting libs
    

    new files:
     utils-arch/redo-changes.c

    modified files:
     ChangeLog libarch/proj-tree-lint.c libarch/proj-tree-lint.h
     libarch/undo.c utils-arch/Makefile.in
     utils-arch/undo-changes.c


2003-05-30 GMT	Tom Lord <lord@emf.net>	patch-172

    Summary:
      undo-changes.c (larch undo) and supporting libs
    Revision:
      file-utils--devo--1.0--patch-172

    undo-changes.c (larch undo) and supporting libs
    

    new files:
     utils-arch/undo-changes.c

    modified files:
     ChangeLog libarch/apply-changeset.c libarch/apply-changeset.h
     libarch/undo.c libarch/undo.h utils-arch/Makefile.in
     utils-arch/do-changeset.c

    renamed files:
     libarch/=undo.h
       ==> libarch/undo.h
     libarch/=undo.c
       ==> libarch/undo.c



2003-05-29 GMT	Tom Lord <lord@emf.net>	patch-171

    Summary:
      fixed redundant free in tagrev.c
    Revision:
      file-utils--devo--1.0--patch-171

    
    fixed redundant free in tagrev.c
    

    new files:
     libarch/=undo.h libarch/=undo.c

    modified files:
     ChangeLog utils-arch/tagrev.c


2003-05-29 GMT	Tom Lord <lord@emf.net>	patch-170

    Summary:
      do-changeset --reverse and supporting libs
    Revision:
      file-utils--devo--1.0--patch-170

    do-changeset --reverse and supporting libs
    

    modified files:
     ChangeLog libarch/apply-changeset.c libarch/apply-changeset.h
     libarch/build-revision.c libarch/changeset-report.c
     libarch/changeset-report.h libarch/commit.c
     utils-arch/do-changeset.c


2003-05-29 GMT	Tom Lord <lord@emf.net>	patch-169

    Summary:
      fixed off-by-one error in string_fd_close
    Revision:
      file-utils--devo--1.0--patch-169

    fixed off-by-one error in string_fd_close
    

    modified files:
     =THANKS ChangeLog libfsutils/string-files.c


2003-05-29 GMT	Tom Lord <lord@emf.net>	patch-168

    Summary:
      CLI argument parsing error in imprev.c (defaulting the log file)
    Revision:
      file-utils--devo--1.0--patch-168

    CLI argument parsing error in imprev.c (defaulting the log file)
    

    modified files:
     ChangeLog utils-arch/imprev.c


2003-05-29 GMT	Tom Lord <lord@emf.net>	patch-167

    Summary:
      library-file.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-167

    library-file.c and supporting libs
    

    new files:
     utils-arch/library-file.c

    modified files:
     ChangeLog libarch/inv-tags.c libarch/libraries.c
     libarch/libraries.h utils-arch/Makefile.in
     utils-arch/library-find.c


2003-05-29 GMT	Tom Lord <lord@emf.net>	patch-166

    Summary:
      tagrev.c (larch tag) and supporting libs
    Revision:
      file-utils--devo--1.0--patch-166

    tagrev.c (larch tag) and supporting libs
    

    modified files:
     ChangeLog libarch/archive.c libarch/build-revision.c
     libarch/make-changeset.c libarch/tag.c utils-arch/getrev.c


2003-05-28 GMT	Tom Lord <lord@emf.net>	patch-165

    Summary:
      tagrev.c (larch tag) and support libs (coded)
    Revision:
      file-utils--devo--1.0--patch-165

    tagrev.c (larch tag) and support libs (coded)
    

    new files:
     libarch/tag.h utils-arch/tagrev.c

    modified files:
     ChangeLog libarch/changeset-report.c
     libarch/changeset-report.h libarch/make-changeset.c
     libarch/make-changeset.h libarch/tag.c utils-arch/Makefile.in
     utils-arch/cmtrev.c

    renamed files:
     libarch/=tag.c
       ==> libarch/tag.c



2003-05-28 GMT	Tom Lord <lord@emf.net>	patch-164

    Summary:
      redundant calls to make-log should not return an error
    Revision:
      file-utils--devo--1.0--patch-164

    redundant calls to make-log should not return an error
    

    modified files:
     =THANKS ChangeLog libarch/patch-logs.c


2003-05-28 GMT	Tom Lord <lord@emf.net>	patch-163

    Summary:
      merges.c (larch merge-points) and supporting libs
    Revision:
      file-utils--devo--1.0--patch-163

    merges.c (larch merge-points) and supporting libs
    

    new files:
     utils-arch/merges.c

    modified files:
     ChangeLog libarch/archive.c libarch/merge-points.c
     libarch/proj-tree-lint.c libawk/relational.c
     libawk/relational.h utils-arch/Makefile.in


2003-05-28 GMT	Tom Lord <lord@emf.net>	patch-162

    Summary:
      fixed auto-changelog bug in commit.c
    Revision:
      file-utils--devo--1.0--patch-162

    
    fixed auto-changelog bug in commit.c
    
    
    

    modified files:
     =THANKS ChangeLog libarch/commit.c


2003-05-28 GMT	Tom Lord <lord@emf.net>	patch-161

    Summary:
      fixed imprev bugs with user-supplied log files
    Revision:
      file-utils--devo--1.0--patch-161

    fixed imprev bugs with user-supplied log files
    

    modified files:
     =THANKS ChangeLog libarch/import.c utils-arch/imprev.c


2003-05-28 GMT	Tom Lord <lord@emf.net>	patch-160

    Summary:
      fixed arch_valid_package_name bug
    Revision:
      file-utils--devo--1.0--patch-160

    Fixed arch_valid_package_name bug reported by Stig.

    modified files:
     =THANKS ChangeLog libarch/namespace.c


2003-05-28 GMT	Tom Lord <lord@emf.net>	patch-159

    Summary:
      merge-points library routines coded
    Revision:
      file-utils--devo--1.0--patch-159

    merge-points library routines coded

    new files:
     libarch/merge-points.h libarch/=tag.c libarch/merge-points.c

    modified files:
     ChangeLog


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-158

    Summary:
      cmtrev support for --out-of-date-ok
    Revision:
      file-utils--devo--1.0--patch-158

    
    cmtrev support for --out-of-date-ok
    

    modified files:
     ChangeLog utils-arch/cmtrev.c


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-157

    Summary:
      cmtrev --seal and --fix support
    Revision:
      file-utils--devo--1.0--patch-157

    cmtrev --seal and --fix support
    

    modified files:
     ChangeLog utils-arch/cmtrev.c


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-156

    Summary:
      commit.c -- maybe update a pristine tree after commit
    Revision:
      file-utils--devo--1.0--patch-156

    
    commit.c -- maybe update a pristine tree after commit
    

    modified files:
     ChangeLog libarch/commit.c


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-155

    Summary:
      commit.c -- build the pristine on-demand if necessary
    Revision:
      file-utils--devo--1.0--patch-155

    commit.c -- build the pristine on-demand if necessary
    

    modified files:
     ChangeLog libarch/commit.c libarch/local-cache.c
     libarch/local-cache.h


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-154

    Summary:
      added make_changeset output to cmtrev
    Revision:
      file-utils--devo--1.0--patch-154

    added make_changeset output to cmtrev
    

    modified files:
     ChangeLog libarch/commit.c libarch/make-changeset.c
     libarch/make-changeset.h utils-arch/changeset.c
     utils-arch/what-changed.c


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-153

    Summary:
      revimport -> imprev, revcmt -> cmtrev (easier to type)
    Revision:
      file-utils--devo--1.0--patch-153

    revimport -> imprev, revcmt -> cmtrev (easier to type)
    

    modified files:
     ChangeLog utils-arch/Makefile.in utils-arch/cmtrev.c
     utils-arch/imprev.c

    renamed files:
     utils-arch/revcmt.c
       ==> utils-arch/cmtrev.c
     utils-arch/revimport.c
       ==> utils-arch/imprev.c



2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-152

    Summary:
      revcmt -- delete the log file after a successful commit
    Revision:
      file-utils--devo--1.0--patch-152

    revcmt -- delete the log file after a successful commit
    

    modified files:
     ChangeLog utils-arch/revcmt.c


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-151

    Summary:
      revcmt -- find the default log file, if any
    Revision:
      file-utils--devo--1.0--patch-151

    revcmt -- find the default log file, if any

    modified files:
     ChangeLog libarch/patch-logs.c libarch/patch-logs.h
     utils-arch/revcmt.c


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-150

    Summary:
      killed some redundant calls to `free' in libarch
    Revision:
      file-utils--devo--1.0--patch-150

    
    killed some redundant calls to `free' in libarch
    

    modified files:
     ChangeLog libarch/changeset-report.c libarch/commit.c


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-149

    Summary:
      removed vestigial call to `free' in arch_generate_changelog
    Revision:
      file-utils--devo--1.0--patch-149

    removed vestigial call to `free' in arch_generate_changelog
    

    modified files:
     ChangeLog libarch/changelogs.c


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-148

    Summary:
      added missing newlines in error messages from lock-revision
    Revision:
      file-utils--devo--1.0--patch-148

    added missing newlines in error messages from lock-revision
    

    modified files:
     ChangeLog utils-arch/lock-revision.c


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-147

    Summary:
      errant free in main() of lock-revision
    Revision:
      file-utils--devo--1.0--patch-147

    errant free in main() of lock-revision
    

    modified files:
     ChangeLog utils-arch/lock-revision.c


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-146

    Summary:
      approximate end2end check for revcmt (larch commit)
    Revision:
      file-utils--devo--1.0--patch-146

    approximate end2end check for revcmt (larch commit)
    

    modified files:
     ChangeLog libarch/archive.c libarch/commit.c


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-145

    Summary:
      revimport/getrev end to end check bug fixes
    Revision:
      file-utils--devo--1.0--patch-145

    revimport/getrev end to end check bug fixes
    

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/import.c libarch/invent.c


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-144

    Summary:
      fix tree-lint exit status and bogus invariant
    Revision:
      file-utils--devo--1.0--patch-144

    fix tree-lint exit status and bogus invariant
    

    modified files:
     ChangeLog libarch/proj-tree-lint.c utils-arch/tree-lint.c


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-143

    Summary:
      init-tree main() bug fix
    Revision:
      file-utils--devo--1.0--patch-143

    
    redundant free.
    

    modified files:
     ChangeLog utils-arch/init-tree.c


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-142

    Summary:
      revcmt.c (larch commit) milestone -- coded
    Revision:
      file-utils--devo--1.0--patch-142

    revcmt.c (larch commit) milestone -- coded
    

    new files:
     utils-arch/revcmt.c

    modified files:
     ChangeLog libarch/apply-changeset.c utils-arch/Makefile.in
     utils-arch/revimport.c


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-141

    Summary:
      commit.c (revcmt library support) coded
    Revision:
      file-utils--devo--1.0--patch-141

    commit.c (revcmt library support) coded
    

    modified files:
     ChangeLog libarch/changeset-report.c
     libarch/changeset-report.h libarch/commit.c libarch/import.c
     libarch/make-changeset.c libarch/patch-logs.c
     libarch/project-tree.c libarch/project-tree.h
     libfsutils/diffs.c libfsutils/diffs.h


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-140

    Summary:
      commit.c milestone (coded cooked log generation)
    Revision:
      file-utils--devo--1.0--patch-140

    commit.c milestone (coded cooked log generation)
    

    modified files:
     ChangeLog libarch/commit.c libarch/patch-logs.c
     libarch/patch-logs.h


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-139

    Summary:
      commit.c milestone (coded support for changeset smudging)
    Revision:
      file-utils--devo--1.0--patch-139

    commit.c milestone (coded support for changeset smudging)
    

    modified files:
     ChangeLog libarch/changeset-report.c
     libarch/changeset-report.h libarch/commit.c libarch/inv-tags.c
     libarch/inv-tags.h libarch/make-changeset.h


2003-05-26 GMT	Tom Lord <lord@emf.net>	patch-138

    Summary:
      commit.c milestone (planned, start on auto-changelogs)
    Revision:
      file-utils--devo--1.0--patch-138

    
    commit.c milestone (planned, start on auto-changelogs)
    

    modified files:
     ChangeLog libarch/commit.c


2003-05-26 GMT	Tom Lord <lord@emf.net>	patch-137

    Summary:
      make-changeset.c transform
    Revision:
      file-utils--devo--1.0--patch-137

    make-changeset.c transform: return the assoc tables that are derived
    from the inventory.
    

    modified files:
     ChangeLog libarch/make-changeset.c libarch/make-changeset.h


2003-05-26 GMT	Tom Lord <lord@emf.net>	patch-136

    Summary:
      beginnings of commit.c and transformation on make-changeset.c
    Revision:
      file-utils--devo--1.0--patch-136

    Mostly: in make-changeset.c, return the inventories in the
    make_changeset_report.
    

    new files:
     libarch/commit.c libarch/commit.h

    modified files:
     ChangeLog libarch/import.c libarch/import.h
     libarch/make-changeset.c libarch/make-changeset.h
     utils-arch/revimport.c


2003-05-26 GMT	Tom Lord <lord@emf.net>	patch-135

    Summary:
      some doc comments in namespace.c
    Revision:
      file-utils--devo--1.0--patch-135

    some doc comments in namespace.c

    modified files:
     ChangeLog libarch/namespace.c


2003-05-26 GMT	Tom Lord <lord@emf.net>	patch-134

    Summary:
      import.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-134

    import.c and supporting libs
    

    modified files:
     ChangeLog libarch/proj-tree-lint.c utils-arch/revimport.c


2003-05-26 GMT	Tom Lord <lord@emf.net>	patch-133

    Summary:
      do-changeset bugfix
    Revision:
      file-utils--devo--1.0--patch-133

    do-changeset bugfix
    

    modified files:
     ChangeLog libarch/apply-changeset.c


2003-05-26 GMT	Tom Lord <lord@emf.net>	patch-132

    Summary:
      import.c milestone (done coding)
    Revision:
      file-utils--devo--1.0--patch-132

    
    import.c milestone (done coding)
    

    new files:
     libdate/.arch-ids/=id

    modified files:
     ChangeLog libarch/patch-logs.c libarch/patch-logs.h
     libarch/proj-tree-lint.c utils-arch/revimport.c

    renamed files:
     libdate/date-string.h
       ==> libdate/date-string.h
     libdate/Makefile.in
       ==> libdate/Makefile.in
     libdate/date-string.c
       ==> libdate/date-string.c


    new directories:
     libdate/.arch-ids libdate

    removed directories:
     libdate

    renamed directories:
     libdate/PLUGIN
       ==> libdate/PLUGIN



2003-05-26 GMT	Tom Lord <lord@emf.net>	patch-131

    Summary:
      import.c milestone (successful import)
    Revision:
      file-utils--devo--1.0--patch-131

    import.c milestone (successful import)
    

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/import.c libarch/import.h libarch/patch-logs.c
     libarch/patch-logs.h libarch/project-tree.c
     libarch/project-tree.h utils-arch/revimport.c


2003-05-25 GMT	Tom Lord <lord@emf.net>	patch-130

    Summary:
      log-ls.c option parsing bug fixes
    Revision:
      file-utils--devo--1.0--patch-130

    log-ls.c option parsing bug fixes
    
    (-f wasn't a synonym for --full, and `int full' wasn't initialized.)
    

    modified files:
     ChangeLog utils-arch/log-ls.c


2003-05-25 GMT	Tom Lord <lord@emf.net>	patch-129

    Summary:
      import.c milestone (preps new pristine tree and log)
    Revision:
      file-utils--devo--1.0--patch-129

    
    import.c milestone (preps new pristine tree and log)
    

    new files:
     libdate/PLUGIN/.arch-ids/=id libdate/PLUGIN/.arch-ids/REQ.id
     libdate/date-string.h libfsutils/string-files.h
     libfsutils/string-files.c libdate/Makefile.in
     libdate/date-string.c utils-arch/revimport.c
     libdate/PLUGIN/REQ

    modified files:
     ChangeLog libarch/changelogs.c libarch/import.c
     libarch/import.h libarch/invent.c libarch/invent.h
     libarch/patch-logs.c libarch/patch-logs.h
     libarch/whats-missing.c utils-arch/Makefile.in
     utils-arch/PLUGIN/REQ utils-arch/getrev.c
     utils-arch/library-revisions.c utils-arch/log-ls.c
     utils-arch/revisions.c utils-arch/whats-missing.c

    renamed files:
     libarch/=import.h
       ==> libarch/import.h
     libarch/=import.c
       ==> libarch/import.c


    new directories:
     libdate libdate/PLUGIN/.arch-ids libdate/PLUGIN


2003-05-25 GMT	Tom Lord <lord@emf.net>	patch-128

    Summary:
      whats-missing.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-128

    whats-missing.c and supporting libs
    

    new files:
     libarch/=import.h libarch/whats-missing.h libarch/=import.c
     libarch/whats-missing.c utils-arch/whats-missing.c

    modified files:
     ChangeLog libarch/patch-logs.c libarch/patch-logs.h
     libawk/relational.c libawk/relational.h utils-arch/Makefile.in
     utils-arch/log-ls.c utils-arch/what-changed.c


2003-05-25 GMT	Tom Lord <lord@emf.net>	patch-127

    Summary:
      archive txn milestone (archive protocol for stashing revision components)
    Revision:
      file-utils--devo--1.0--patch-127

    archive txn milestone (archive protocol for stashing revision
    components)
    

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h libarch/project-tree.c


2003-05-25 GMT	Tom Lord <lord@emf.net>	patch-126

    Summary:
      code cleanup (calling conventions, main() impls)
    Revision:
      file-utils--devo--1.0--patch-126

    
    code cleanup (calling conventions, main() impls)
    

    modified files:
     ChangeLog libarch/apply-changeset.c libarch/changelogs.c
     libarch/changelogs.h libarch/libraries.c libarch/patch-logs.c
     libarch/patch-logs.h libarch/project-tree.c
     libarch/project-tree.h utils-arch/add-log.c
     utils-arch/cat-log.c utils-arch/changelog.c
     utils-arch/getrev.c utils-arch/init-tree.c utils-arch/log-ls.c
     utils-arch/remove-log.c utils-arch/set-tree-version.c
     utils-arch/what-changed.c


2003-05-25 GMT	Tom Lord <lord@emf.net>	patch-125

    Summary:
      lock-revision.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-125

    lock-revision.c and supporting libs
    

    modified files:
     ChangeLog libarch/archive.c libarch/archive.h
     utils-arch/lock-revision.c


2003-05-25 GMT	Tom Lord <lord@emf.net>	patch-124

    Summary:
      log-revision milestone (user-locks and breaks base-0 locks)
    Revision:
      file-utils--devo--1.0--patch-124

    log-revision milestone (user-locks and breaks base-0 locks)
    

    modified files:
     ChangeLog libarch/archive-fs.c libfsutils/dir-listing.c
     libfsutils/dir-listing.h utils-arch/lock-revision.c


2003-05-24 GMT	Tom Lord <lord@emf.net>	patch-123

    Summary:
      lock-revision.c milestone (acquired first lock)
    Revision:
      file-utils--devo--1.0--patch-123

    lock-revision.c milestone (acquired first lock)
    

    new files:
     utils-arch/lock-revision.c

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h libarch/archives.c libarch/build-revision.c
     utils-arch/Makefile.in


2003-05-24 GMT	Tom Lord <lord@emf.net>	patch-122

    Summary:
      revision locking milestone (lib code written)
    Revision:
      file-utils--devo--1.0--patch-122

    revision locking milestone (lib code written)
    

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h libarch/archives.c libarch/archives.h


2003-05-24 GMT	Tom Lord <lord@emf.net>	patch-121

    Summary:
      lock-revision milestone (coded lock algorithm)
    Revision:
      file-utils--devo--1.0--patch-121

    
    lock-revision milestone (coded lock algorithm)
    

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h libarch/archives.c libarch/archives.h


2003-05-24 GMT	Tom Lord <lord@emf.net>	patch-120

    Summary:
      factored out filename foo for fs-based archives
    Revision:
      file-utils--devo--1.0--patch-120

    factored out filename foo for fs-based archives
    

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.h
     libarch/archives.c libarch/archives.h


2003-05-24 GMT	Tom Lord <lord@emf.net>	patch-119

    Summary:
      slightly better(?) output from changeset.c and what-changed
    Revision:
      file-utils--devo--1.0--patch-119

    slightly better(?) output from changeset.c and what-changed

    modified files:
     ChangeLog utils-arch/changeset.c utils-arch/what-changed.c


2003-05-24 GMT	Tom Lord <lord@emf.net>	patch-118

    Summary:
      archive format versioning support
    Revision:
      file-utils--devo--1.0--patch-118

    archive format versioning support
    

    new files:
     libarch/archive-version.c libarch/archive-version.h

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h libarch/archives.c


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-117

    Summary:
      what-changed.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-117

    what-changed.c and supporting libs
    

    new files:
     utils-arch/what-changed.c libarch/local-cache.c
     libarch/local-cache.h

    modified files:
     ChangeLog libarch/changeset-report.c
     libarch/changeset-report.h libarch/make-changeset.c
     libarch/make-changeset.h libarch/patch-logs.c
     libarch/patch-logs.h libarch/pristines.h
     utils-arch/Makefile.in


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-116

    Summary:
      make-log.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-116

    make-log.c and supporting libs
    

    new files:
     utils-arch/make-log.c

    modified files:
     ChangeLog libarch/patch-logs.c libarch/patch-logs.h
     utils-arch/Makefile.in


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-115

    Summary:
      [case-22] fixed apply_changeset tree-delta bug
    Revision:
      file-utils--devo--1.0--patch-115

    
    When removing a directory (temporarily or permanently) from 
    the target tree, a running-inventory of the tree is updated,
    and a "set aside with" list is updated.
    
    The "set aside with" list is all the nested components lost
    along with the directory so that, if the dir is later added back
    at a new location, all those nested components are added back
    to the running inventory as well.   
    
    The set aside with list was computed slightly incorrectly.  If a
    deeply nested dir was set aside, it's nested components were correctly
    recorded as set aside, but then if a parent dir of that was also set
    aside, the deeply nested components were redundantly recorded as set
    aside.  
    
    In the case where the parent dir is then put back into the tree in a
    deeper location than the formerly deeper dir winds up at, the running
    total ultimately winds up erroneously thinking that some of the
    formerly deeply nested contents are now deeply nested under the new
    location of the old parent dir.  In other words:
    
       ORIG			MOD
          .                         .
           \                       / \
    	A		      B   X
    	 \                   /     \
    	  B                 c       A
    	   \
                c
    
    After inserting A, the running inventory _thought_ the tree looked
    like:
    
                     .
    		/ \
                   B   X
                        \
                         A
                          \
                           B
                            \
                             c
    
    
    (This running inventory, btw, is the number one reason why it's easier
    to write apply_changeset in C than sh.  If standard sh had (fast)
    associative tables, it would be a different story.)

    modified files:
     =THANKS ChangeLog libarch/apply-changeset.c


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-114

    Summary:
      [case-8] wrong argument to lim_free in arch_read_permissions_patch
    Revision:
      file-utils--devo--1.0--patch-114

    wrong argument to lim_free in arch_read_permissions_patch
    

    modified files:
     =THANKS ChangeLog libarch/changeset-utils.c


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-113

    Summary:
      fixed parsing bug in arch_read_permissions_patch 
    Revision:
      file-utils--devo--1.0--patch-113

    fixed parsing bug in arch_read_permissions_patch 

    modified files:
     =THANKS ChangeLog libarch/changeset-utils.c


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-112

    Summary:
      arch_apply_changeset, =dir-mod-meta, filename formation bug
    Revision:
      file-utils--devo--1.0--patch-112

    
    Don't use str_alloc_cat where filename_in_vicinity is wanted.
    

    modified files:
     =THANKS ChangeLog libarch/apply-changeset.c


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-111

    Summary:
      added missing #include in getrev.c
    Revision:
      file-utils--devo--1.0--patch-111

    added missing #include in getrev.c
    

    modified files:
     ChangeLog utils-arch/getrev.c


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-110

    Summary:
      ".link_orig" -> ".link-orig" in make-changeset
    Revision:
      file-utils--devo--1.0--patch-110

    ".link_orig" -> ".link-orig" in make-changeset
    

    modified files:
     =THANKS ChangeLog libarch/make-changeset.c


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-109

    Summary:
      add pristines and set tree version in getrev.c
    Revision:
      file-utils--devo--1.0--patch-109

    add pristines and set tree version in getrev.c
    

    modified files:
     ChangeLog libarch/pristines.c libarch/pristines.h
     utils-arch/getrev.c


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-108

    Summary:
      apply_changeset -- fixed file->symlink bugs
    Revision:
      file-utils--devo--1.0--patch-108

    apply_changeset -- fixed file->symlink bugs
    

    modified files:
     =THANKS ChangeLog libarch/apply-changeset.c


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-107

    Summary:
      apply-changeset, changeset-report -- handle incomplete changesets
    Revision:
      file-utils--devo--1.0--patch-107

    apply-changeset, changeset-report -- tweaks to handle incomplete
    changesets
    

    modified files:
     ChangeLog libarch/apply-changeset.c libarch/changeset-report.c


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-106

    Summary:
      build_revision verbosity option
    Revision:
      file-utils--devo--1.0--patch-106

    build_revision verbosity option
    

    modified files:
     =THANKS ChangeLog libarch/build-revision.c
     libarch/build-revision.h utils-arch/getrev.c


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-105

    Summary:
      getrev -- set-tree-version the resulting tree
    Revision:
      file-utils--devo--1.0--patch-105

    getrev -- set-tree-version the resulting tree
    

    modified files:
     ChangeLog utils-arch/getrev.c


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-104

    Summary:
      arch_apply_changeset -- be sure to delete deleted symlinks
    Revision:
      file-utils--devo--1.0--patch-104

    arch_apply_changeset -- be sure to delete deleted symlinks

    modified files:
     ChangeLog libarch/apply-changeset.c


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-103

    Summary:
      getrev.c -- build-by-patching across continuation revisions
    Revision:
      file-utils--devo--1.0--patch-103

    getrev.c -- build-by-patching across continuation revisions

    new files:
     libfsutils/file-contents.h libfsutils/file-contents.c

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h libarch/build-revision.c


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-102

    Summary:
      getrev (larch get) milestone: simple build-by-patching case
    Revision:
      file-utils--devo--1.0--patch-102

    getrev (larch get) milestone: simple build-by-patching case
    

    modified files:
     ChangeLog libarch/apply-changeset.c libarch/apply-changeset.h
     libarch/archive.c libarch/archive.h libarch/build-revision.c
     libarch/changeset-report.c libarch/namespace.c
     libarch/namespace.h utils-arch/do-changeset.c


2003-05-23 GMT	Tom Lord <lord@emf.net>	patch-101

    Summary:
      build_revision milestone (import revisions)
    Revision:
      file-utils--devo--1.0--patch-101

    build_revision milestone (import revisions)
    

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h libarch/build-revision.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-100

    Summary:
      another build-revision milestone (build from archive-cached)
    Revision:
      file-utils--devo--1.0--patch-100

    another build-revision milestone (build from archive-cached).
    
    
    

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h libarch/build-revision.c utils-arch/getrev.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-99

    Summary:
      relational.c(hash_key) should handle null strings
    Revision:
      file-utils--devo--1.0--patch-99

    relational.c(hash_key) should handle null strings
    

    modified files:
     =THANKS ChangeLog libawk/associative.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-98

    Summary:
      log-ls reuse of freed memory bug in main()
    Revision:
      file-utils--devo--1.0--patch-98

    log-ls reuse of freed memory bug in main()

    modified files:
     =THANKS ChangeLog utils-arch/log-ls.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-97

    Summary:
      repaired the hash function
    Revision:
      file-utils--devo--1.0--patch-97

    
    Oops... initialization of "hash = 0;" was "lost in the translation".
    

    modified files:
     ChangeLog libawk/associative.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-96

    Summary:
      minor getrev.c milestone
    Revision:
      file-utils--devo--1.0--patch-96

    
    minor getrev.c milestone
    

    new files:
     utils-arch/getrev.c

    modified files:
     ChangeLog libarch/build-revision.c libarch/build-revision.h
     libarch/invent.c libarch/invent.h libarch/pristines.c
     libfsutils/copy-file.c utils-arch/Makefile.in


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-95

    Summary:
      further tweaks to pristines.c in prep for build-revision
    Revision:
      file-utils--devo--1.0--patch-95

    further tweaks to pristines.c in prep for build-revision
    

    modified files:
     ChangeLog libarch/pristines.c libarch/pristines.h
     utils-arch/find-pristine.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-94

    Summary:
      picked (casually) a new hash function for associative.c
    Revision:
      file-utils--devo--1.0--patch-94

    
    Picked a new hash function for associative.c.
    
    No particular testing -- taken on "authority".
    
    -t
    
    

    modified files:
     ChangeLog libawk/associative.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-93

    Summary:
      collect and print metadata changes in changeset-reports
    Revision:
      file-utils--devo--1.0--patch-93

    collect and print metadata changes in changeset-reports
    

    modified files:
     =THANKS ChangeLog libarch/changeset-report.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-92

    Summary:
      Fix Stigs's bug in `logs.c'
    Revision:
      file-utils--devo--1.0--patch-92

    Fix Stigs's bug in `logs.c'.
    
    Used safe_access (...) where !safe_access (...) was intended.
    

    modified files:
     =THANKS ChangeLog libarch/patch-logs.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-91

    Summary:
      various clean-ups to the pristines.c lib
    Revision:
      file-utils--devo--1.0--patch-91

    various clean-ups to the pristines.c lib
    

    modified files:
     =TODO ChangeLog libarch/make-changeset.c libarch/pristines.c
     libarch/pristines.h utils-arch/find-pristine.c
     utils-arch/ls-pristines.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-90

    Summary:
      ls-pristines.c (larch pristines) and libs
    Revision:
      file-utils--devo--1.0--patch-90

    ls-pristines.c (larch pristines) and libs
    

    new files:
     utils-arch/ls-pristines.c

    modified files:
     ChangeLog libarch/pristines.c libarch/pristines.h
     utils-arch/Makefile.in utils-arch/find-pristine.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-89

    Summary:
      fixed symlink retargetting in apply-changeset.c
    Revision:
      file-utils--devo--1.0--patch-89

    fixed symlink retargetting in apply-changeset.c
    

    modified files:
     ChangeLog libarch/apply-changeset.c libarch/make-changeset.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-88

    Summary:
      use lstat, not access to check for tags-sans-files in invent.c
    Revision:
      file-utils--devo--1.0--patch-88

    
    use lstat, not access to check for tags-sans-files in invent.c
    

    modified files:
     ChangeLog libarch/proj-tree-lint.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-87

    Summary:
      retract ensure_directory_exists change
    Revision:
      file-utils--devo--1.0--patch-87

    
    Nevermind...previous change creates a security hole.
    

    modified files:
     ChangeLog libfsutils/ensure-dir.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-86

    Summary:
      logic change to ensure_directory_exists
    Revision:
      file-utils--devo--1.0--patch-86

    
    In ensure_directory_exists, symlinks to dirs along the way
    count as directories.
    

    modified files:
     ChangeLog libfsutils/ensure-dir.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-85

    Summary:
      rmrf_file -- don't use safe_access on a symlink treated as a symlink
    Revision:
      file-utils--devo--1.0--patch-85

    rmrf_file -- don't use safe_access on a symlink treated as a symlink
    

    modified files:
     =THANKS ChangeLog libfsutils/rmrf.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-84

    Summary:
      use lstat, not stat in find_files and rmrf_file
    Revision:
      file-utils--devo--1.0--patch-84

    use lstat, not stat in find_files and rmrf_file
    

    modified files:
     ChangeLog libfsutils/find-utils.c libfsutils/rmrf.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-83

    Summary:
      lstat & st_mode bug in make-changeset.c
    Revision:
      file-utils--devo--1.0--patch-83

    lstat & st_mode bug in make-changeset.c

    modified files:
     =THANKS ChangeLog libarch/make-changeset.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-82

    Summary:
      link_target was returning unterminated strings 
    Revision:
      file-utils--devo--1.0--patch-82

    link_target was returning unterminated strings 
    

    modified files:
     =THANKS ChangeLog libfsutils/link-target.c


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-81

    Summary:
      find-pristine.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-81

    find-pristine.c and supporting libs
    

    new files:
     libarch/build-revision.h libarch/pristines.h
     libarch/build-revision.c libarch/pristines.c
     utils-arch/find-pristine.c

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h libarch/libraries.c libarch/libraries.h
     libarch/project-tree.c libfsutils/copy-file.c
     libfsutils/copy-file.h utils-arch/Makefile.in


2003-05-21 GMT	Tom Lord <lord@emf.net>	patch-80

    Summary:
      library-{log,remove}
    Revision:
      file-utils--devo--1.0--patch-80

    
    library-{log,remove}
    

    new files:
     utils-arch/library-log.c utils-arch/library-remove.c

    modified files:
     ChangeLog utils-arch/Makefile.in


2003-05-21 GMT	Tom Lord <lord@emf.net>	patch-79

    Summary:
      library-{archives,categories,branches,versions,revisions} + libs
    Revision:
      file-utils--devo--1.0--patch-79

    library-{archives,categories,branches,versions,revisions} + libs
    

    new files:
     utils-arch/library-categories.c utils-arch/library-branches.c
     utils-arch/library-versions.c utils-arch/library-revisions.c
     utils-arch/library-archives.c

    modified files:
     ChangeLog libarch/archive-fs.c libarch/libraries.c
     libarch/libraries.h libarch/namespace.c libarch/namespace.h
     utils-arch/Makefile.in utils-arch/branches.c
     utils-arch/categories.c


2003-05-21 GMT	Tom Lord <lord@emf.net>	patch-78

    Summary:
      library-find.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-78

    library-find.c and supporting libs

    new files:
     libarch/libraries.h libarch/libraries.c
     utils-arch/library-find.c

    modified files:
     ChangeLog utils-arch/Makefile.in


2003-05-21 GMT	Tom Lord <lord@emf.net>	patch-77

    Summary:
      my-revision-library.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-77

    my-revision-library.c and supporting libs
    

    new files:
     utils-arch/my-revision-library.c

    modified files:
     ChangeLog libarch/my.c libarch/my.h utils-arch/Makefile.in
     utils-arch/my-default-archive.c


2003-05-21 GMT	Tom Lord <lord@emf.net>	patch-76

    Summary:
      last coding touches on {do,apply}-changeset.c
    Revision:
      file-utils--devo--1.0--patch-76

    Last coding touches on {do,apply}-changeset.c
    

    modified files:
     =TODO ChangeLog libarch/apply-changeset.c
     utils-arch/do-changeset.c


2003-05-21 GMT	Tom Lord <lord@emf.net>	patch-75

    Summary:
      autmatic changelog support in do-changeset
    Revision:
      file-utils--devo--1.0--patch-75

    autmatic changelog support in do-changeset
    

    modified files:
     ChangeLog libarch/apply-changeset.c libarch/changelogs.c
     libarch/changelogs.h


2003-05-21 GMT	Tom Lord <lord@emf.net>	patch-74

    Summary:
      fixed -f interaction with -c, -D, -s in revisions.c
    Revision:
      file-utils--devo--1.0--patch-74

    fixed -f interaction with -c, -D, -s in revisions.c

    modified files:
     =THANKS ChangeLog utils-arch/revisions.c


2003-05-21 GMT	Tom Lord <lord@emf.net>	patch-73

    Summary:
      factor changelog.c into a library function
    Revision:
      file-utils--devo--1.0--patch-73

    Factor changelog.c into a library function.   (do-changeset and commit 
    need this function as well).
    
    

    modified files:
     ChangeLog libarch/changelogs.c libarch/changelogs.h
     utils-arch/changelog.c


2003-05-21 GMT	Tom Lord <lord@emf.net>	patch-72

    Summary:
      do-changeset support for meta-data patches
    Revision:
      file-utils--devo--1.0--patch-72

    do-changeset support for meta-data patches
    

    modified files:
     =TODO ChangeLog libarch/apply-changeset.c
     libarch/apply-changeset.h libarch/changeset-utils.c
     libarch/changeset-utils.h


2003-05-21 GMT	Tom Lord <lord@emf.net>	patch-71

    Summary:
      fixed symlink bugs in {,do-,show-}changeset.c
    Revision:
      file-utils--devo--1.0--patch-71

    
    fixed symlink bugs in {,do-,show-}changeset.c

    modified files:
     =THANKS ChangeLog libarch/apply-changeset.c
     libarch/changeset-report.c libfsutils/copy-file.c


2003-05-21 GMT	Tom Lord <lord@emf.net>	patch-70

    Summary:
      make-{branch,version}.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-70

    make-{branch,version}.c and supporting libs
    

    new files:
     utils-arch/make-branch.c utils-arch/make-version.c

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h libarch/my.c libarch/my.h
     libfsutils/tmp-files.c utils-arch/Makefile.in


2003-05-21 GMT	Tom Lord <lord@emf.net>	patch-69

    Summary:
      make-category.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-69

    
    make-category.c and supporting libs
    

    new files:
     utils-arch/make-category.c

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h utils-arch/Makefile.in


2003-05-21 GMT	Tom Lord <lord@emf.net>	patch-68

    Summary:
      get-patch.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-68

    get-patch.c and supporting libs
    

    new files:
     utils-arch/get-patch.c

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h utils-arch/Makefile.in


2003-05-20 GMT	Tom Lord <lord@emf.net>	patch-67

    Summary:
      revisions.c support for --{revisions,creator,date}
    Revision:
      file-utils--devo--1.0--patch-67

    revisions.c support for --{revisions,creator,date}
    

    modified files:
     ChangeLog utils-arch/revisions.c


2003-05-20 GMT	Tom Lord <lord@emf.net>	patch-66

    Summary:
      cat-archive-log.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-66

    cat-archive-log.c and supporting libs

    new files:
     utils-arch/cat-archive-log.c

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h utils-arch/Makefile.in


2003-05-20 GMT	Tom Lord <lord@emf.net>	patch-65

    Summary:
      revisions.c and libs sans --summary and friends
    Revision:
      file-utils--devo--1.0--patch-65

    revisions.c and libs sans --summary and friends

    new files:
     utils-arch/revisions.c

    modified files:
     =TODO ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h utils-arch/Makefile.in utils-arch/versions.c


2003-05-20 GMT	Tom Lord <lord@emf.net>	patch-64

    Summary:
      versions.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-64

    versions.c and supporting libs
    

    new files:
     utils-arch/versions.c

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h utils-arch/Makefile.in


2003-05-20 GMT	Tom Lord <lord@emf.net>	patch-63

    Summary:
      branches.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-63

    branches.c and supporting libs
    

    new files:
     utils-arch/branches.c

    modified files:
     ChangeLog libarch/archive-fs.c libarch/archive.c
     libarch/archive.h utils-arch/Makefile.in


2003-05-20 GMT	Tom Lord <lord@emf.net>	patch-62

    Summary:
      categories.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-62

    categories.c and supporting libs
    

    new files:
     libarch/archive-fs.h libarch/archive.h libarch/archive.c
     libarch/archive-fs.c utils-arch/categories.c

    modified files:
     ChangeLog libarch/my.c utils-arch/Makefile.in


2003-05-20 GMT	Tom Lord <lord@emf.net>	patch-61

    Summary:
      actually use the metadata for new and removed dirs
    Revision:
      file-utils--devo--1.0--patch-61

    actually use the metadata for new and removed dirs
    

    modified files:
     ChangeLog libarch/changeset-report.c libarch/changeset-utils.c


2003-05-20 GMT	Tom Lord <lord@emf.net>	patch-60

    Summary:
      make-archive.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-60

    make-archive.c and supporting libs
    

    new files:
     utils-arch/make-archive.c

    modified files:
     ChangeLog libarch/archives.c libarch/archives.h
     utils-arch/Makefile.in utils-arch/ls-archives.c
     utils-arch/my-id.c utils-arch/whereis-archive.c


2003-05-20 GMT	Tom Lord <lord@emf.net>	patch-59

    Summary:
      compare files in this proc before invoking diff
    Revision:
      file-utils--devo--1.0--patch-59

    
    Compare files in this proc before invoking diff.
    

    new files:
     libfsutils/diffs.c libfsutils/diffs.h

    modified files:
     =THANKS ChangeLog libarch/apply-changeset.c
     libarch/make-changeset.c


2003-05-20 GMT	Tom Lord <lord@emf.net>	patch-58

    Summary:
      fix changeset.c -h output typos
    Revision:
      file-utils--devo--1.0--patch-58

    Fix changeset.c -h output typos.
    

    modified files:
     =THANKS ChangeLog utils-arch/changeset.c


2003-05-20 GMT	Tom Lord <lord@emf.net>	patch-57

    Summary:
      fixed utils-files/PLUGIN/REQ
    Revision:
      file-utils--devo--1.0--patch-57

    
    Fixed utils-files/PLUGIN/REQ.
    

    modified files:
     ChangeLog utils-files/PLUGIN/REQ


2003-05-19 GMT	Tom Lord <lord@emf.net>	patch-56

    Summary:
      Makefile.in bug in utils-locks
    Revision:
      file-utils--devo--1.0--patch-56

    Makefile.in bug in utils-locks

    modified files:
     ChangeLog utils-locks/Makefile.in


2003-05-19 GMT	Tom Lord <lord@emf.net>	patch-55

    Summary:
      bogus table index in arch_apply_changeset
    Revision:
      file-utils--devo--1.0--patch-55

    
    Bogus table index in arch_apply_changeset.
    

    modified files:
     =THANKS ChangeLog libarch/apply-changeset.c


2003-05-19 GMT	Tom Lord <lord@emf.net>	patch-54

    Summary:
      n_slashes_cmp is bogus
    Revision:
      file-utils--devo--1.0--patch-54

    n_slashes_cmp is a bogus predicate for turning a qsort into
    a topological sort of directories by the partial order of
    is_subdir_of (Sun May 18 22:49 2003)

    modified files:
     =THANKS ChangeLog libarch/apply-changeset.c


2003-05-19 GMT	Tom Lord <lord@emf.net>	patch-53

    Summary:
      ls-archives.c (larch archives), whereis-archive.c and libs
    Revision:
      file-utils--devo--1.0--patch-53

    ls-archives.c (larch archives), whereis-archive.c and libs

    new files:
     utils-arch/whereis-archive.c utils-arch/ls-archives.c

    modified files:
     ChangeLog libarch/archives.c libarch/archives.h
     utils-arch/Makefile.in utils-arch/register-archive.c


2003-05-19 GMT	Tom Lord <lord@emf.net>	patch-52

    Summary:
      register-archive.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-52

    register-archive.c and supporting libs.
    

    new files:
     libarch/archives.h libarch/archives.c
     utils-arch/register-archive.c

    modified files:
     ChangeLog libarch/my.c libarch/my.h utils-arch/Makefile.in


2003-05-19 GMT	Tom Lord <lord@emf.net>	patch-51

    Summary:
      compute_parent_dir_closure bug
    Revision:
      file-utils--devo--1.0--patch-51

    
    Bogus parameter in calls to schedule_missing_containers
    from compute_parent_dir_closure.
    

    modified files:
     =THANKS ChangeLog libarch/make-changeset.c


2003-05-18 GMT	Tom Lord <lord@emf.net>	patch-50

    Summary:
      arch_changeset_report bugfix
    Revision:
      file-utils--devo--1.0--patch-50

    If there is more than one type of patch for a given 
    file (e.g., both meta-data and .patch), report _both_.
    

    modified files:
     =THANKS ChangeLog libarch/changeset-report.c


2003-05-18 GMT	Tom Lord <lord@emf.net>	patch-49

    Summary:
      set_aside_shuffled_dirs typo
    Revision:
      file-utils--devo--1.0--patch-49

    
    Used inv->files where inv->dirs is wanted.

    modified files:
     =THANKS ChangeLog libarch/apply-changeset.c


2003-05-18 GMT	Tom Lord <lord@emf.net>	patch-48

    Summary:
      arch_apply_changeset -- present_removed_dirs_index subscript error
    Revision:
      file-utils--devo--1.0--patch-48

    
    Tags are field 1, not field 2 in present_removed_dirs_index.
    
    
    

    modified files:
     =THANKS ChangeLog libarch/apply-changeset.c


2003-05-18 GMT	Tom Lord <lord@emf.net>	patch-47

    Summary:
      rel_join_output typos in apply-changeset.c
    Revision:
      file-utils--devo--1.0--patch-47

    
    Watch out for 'rel_join_output ( .... 2,2 -1)' and similar (that
    should be ", -1").
    

    modified files:
     =THANKS ChangeLog libarch/apply-changeset.c


2003-05-18 GMT	Tom Lord <lord@emf.net>	patch-46

    Summary:
      fixed rel_join bug
    Revision:
      file-utils--devo--1.0--patch-46

    
    Fixed a rel_join bug that doesn't produce bogus results but that can
    cause core-dumps (illegal memory reads) in some cases.
    

    modified files:
     ChangeLog libawk/relational.c


2003-05-18 GMT	Tom Lord <lord@emf.net>	patch-45

    Summary:
      va_start is supposed to be void
    Revision:
      file-utils--devo--1.0--patch-45

    va_start is supposed to be void.   
    

    modified files:
     ChangeLog libarch/apply-changeset.c


2003-05-18 GMT	Tom Lord <lord@emf.net>	patch-44

    Summary:
      do-changeset.c (larch dopatch) -- releasable
    Revision:
      file-utils--devo--1.0--patch-44

    
    A few issues remain, but this is good enough to release to
    try to drum up testers.
    

    removed files:
     utils-changesets/.arch-ids/=id
     utils-changesets/PLUGIN/.arch-ids/=id
     utils-changesets/PLUGIN/.arch-ids/REQ.id
     utils-changesets/Makefile.in utils-changesets/dopatch.c
     utils-changesets/PLUGIN/REQ

    modified files:
     =TODO ChangeLog libarch/apply-changeset.c
     libarch/apply-changeset.h libarch/changeset-utils.c
     libarch/inv-tags.c libarch/invent.c libarch/make-changeset.c
     libarch/proj-tree-lint.c

    removed directories:
     utils-changesets/.arch-ids utils-changesets/PLUGIN/.arch-ids
     utils-changesets utils-changesets/PLUGIN


2003-05-17 GMT	Tom Lord <lord@emf.net>	patch-43

    Summary:
      do-changeset fixed report generation bug
    Revision:
      file-utils--devo--1.0--patch-43

    do-changeset fixed report generation bug
    

    modified files:
     ChangeLog libarch/apply-changeset.c


2003-05-17 GMT	Tom Lord <lord@emf.net>	patch-42

    Summary:
      do-changeset.c (larch dopatch) milestone -- common cases, exact
    Revision:
      file-utils--devo--1.0--patch-42

    Exact patching for common cases (e.g., not metadata) should work
    pretty well now.
    

    new files:
     libfsutils/read-line.c libfsutils/read-line.h

    modified files:
     ChangeLog libarch/apply-changeset.c libarch/apply-changeset.h
     libarch/changeset-utils.c


2003-05-16 GMT	Tom Lord <lord@emf.net>	patch-41

    Summary:
      apply-changeset.c milestone (regular file patches)
    Revision:
      file-utils--devo--1.0--patch-41

    apply-changeset.c milestone (regular file patches)
    

    modified files:
     ChangeLog libarch/apply-changeset.c libarch/apply-changeset.h
     libfsutils/copy-file.c libfsutils/copy-file.h


2003-05-16 GMT	Tom Lord <lord@emf.net>	patch-40

    Summary:
      arch_apply_changeset milestone (tree-deltas)
    Revision:
      file-utils--devo--1.0--patch-40

    arch_apply_changeset milestone (tree-deltas)
    

    new files:
     utils-arch/do-changeset.c libarch/apply-changeset.h
     libawk/numbers.h libfsutils/tmp-files.h
     libarch/apply-changeset.c libawk/numbers.c
     libfsutils/tmp-files.c

    modified files:
     ChangeLog libarch/changeset-report.c
     libarch/changeset-report.h libarch/changeset-utils.c
     libarch/changeset-utils.h libarch/make-changeset.c
     libawk/associative.c libawk/associative.h libawk/relational.c
     libawk/relational.h utils-arch/Makefile.in


2003-05-16 GMT	Tom Lord <lord@emf.net>	patch-39

    Summary:
      show-changeset (larch patch-report) and supporting libs
    Revision:
      file-utils--devo--1.0--patch-39

    show-changeset (larch patch-report) and supporting libs.
    

    new files:
     libarch/changeset-report.h libarch/changeset-utils.h
     libfsutils/find-utils.h libawk/relassoc.h
     libarch/changeset-utils.c libarch/changeset-report.c
     libawk/relassoc.c libfsutils/find-utils.c
     utils-arch/show-changeset.c

    modified files:
     ChangeLog libfsutils/copy-file.c libfsutils/copy-file.h
     utils-arch/Makefile.in


2003-05-15 GMT	Tom Lord <lord@emf.net>	patch-38

    Summary:
      changeset.c (larch mkpatch) and supporting libs
    Revision:
      file-utils--devo--1.0--patch-38

    A replacement for mkpatch.c (which was junk).
    

    new files:
     utils-arch/changeset.c

    removed files:
     utils-changesets/mkpatch.c

    modified files:
     ChangeLog libarch/invent.h libarch/make-changeset.c
     libarch/make-changeset.h libarch/proj-tree-lint.c
     libawk/associative.c libawk/relational.c libawk/relational.h
     utils-arch/Makefile.in utils-changesets/Makefile.in


2003-05-15 GMT	Tom Lord <lord@emf.net>	patch-37

    Summary:
      arch_make_changeset libs (not tested yet)
    Revision:
      file-utils--devo--1.0--patch-37

    
    arch_make_changeset libs (not tested yet)
    

    new files:
     libfsutils/copy-file.h libfsutils/link-target.h
     libarch/make-changeset.h libfsutils/copy-file.c
     libfsutils/link-target.c libarch/make-changeset.c

    modified files:
     ChangeLog libarch/inv-tags.h libawk/associative.c
     libawk/associative.h


2003-05-15 GMT	Tom Lord <lord@emf.net>	patch-36

    Summary:
      tree-lint.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-36

    tree-lint.c and supporting libs.
    

    new files:
     ChangeLog.d/lord@regepx.com--2001Q4/.arch-ids/=id
     ChangeLog.d/lord@regepx.com--2002/.arch-ids/=id
     =later/.arch-ids/=id PLUGIN/.arch-ids/=id
     ChangeLog.d/.arch-ids/=id utils-arch/tree-lint.c
     libarch/proj-tree-lint.h libarch/proj-tree-lint.c

    modified files:
     ChangeLog utils-arch/Makefile.in

    renamed files:
     =later/mkpatch.c
       ==> =later/mkpatch.c
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.devo--1.0
       ==> ChangeLog.d/lord@regepx.com--2002/ChangeLog.devo--1.0
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
       ==> ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     ChangeLog.d/lord@regepx.com--2001Q4/ChangeLog.devo--1.0
       ==> ChangeLog.d/lord@regepx.com--2001Q4/ChangeLog.devo--1.0
     PLUGIN/DIRS
       ==> PLUGIN/DIRS
     PLUGIN/REQ
       ==> PLUGIN/REQ
     PLUGIN/options
       ==> PLUGIN/options


    new directories:
     =later/.arch-ids ChangeLog.d/.arch-ids
     ChangeLog.d/lord@regepx.com--2001Q4/.arch-ids
     ChangeLog.d/lord@regepx.com--2002/.arch-ids
     ChangeLog.d/lord@regepx.com--2001Q4
     ChangeLog.d/lord@regepx.com--2002 =later PLUGIN ChangeLog.d

    removed directories:
     =later ChangeLog.d ChangeLog.d/lord@regepx.com--2001Q4
     ChangeLog.d/lord@regepx.com--2002 PLUGIN

    renamed directories:
     PLUGIN/.arch-ids
       ==> PLUGIN/.arch-ids



2003-05-14 GMT	Tom Lord <lord@emf.net>	patch-35

    Summary:
      default-tag.c (larch explicit-default) and libs
    Revision:
      file-utils--devo--1.0--patch-35

    default-tag.c (larch explicit-default) and libs
    

    new files:
     utils-arch/default-tag.c

    modified files:
     ChangeLog libarch/inv-tags.c libarch/inv-tags.h
     utils-arch/Makefile.in


2003-05-14 GMT	Tom Lord <lord@emf.net>	patch-34

    Summary:
      move-tag.c (larch move) and supporting libs
    Revision:
      file-utils--devo--1.0--patch-34

    move-tag.c (larch move) and supporting libs

    new files:
     utils-arch/move-tag.c

    modified files:
     ChangeLog libarch/inv-tags.c libarch/inv-tags.h
     utils-arch/Makefile.in


2003-05-14 GMT	Tom Lord <lord@emf.net>	patch-33

    Summary:
      delete-tag.c (larch delete) and supporting libs
    Revision:
      file-utils--devo--1.0--patch-33

    delete-tag.c (larch delete) and supporting libs

    new files:
     utils-arch/delete-tag.c

    modified files:
     ChangeLog libarch/inv-tags.c utils-arch/Makefile.in


2003-05-14 GMT	Tom Lord <lord@emf.net>	patch-32

    Summary:
      add-tag.c (larch add) and supporting libs
    Revision:
      file-utils--devo--1.0--patch-32

    add-tag.c (larch add) and supporting libs
    

    new files:
     libarch/changelogs.h libarch/changelogs.c utils-arch/add-tag.c

    modified files:
     ChangeLog libarch/inv-tags.c libarch/inv-tags.h
     libarch/namespace.h utils-arch/Makefile.in


2003-05-14 GMT	Tom Lord <lord@emf.net>	patch-31

    Summary:
      srcfind.c (inventory) and supporting libs
    Revision:
      file-utils--devo--1.0--patch-31

    
    Yes, of course file-utils already has `inventory.c' -- but now it has
    a cleaned up library form of inventory in libarch and `srcfind': an
    `inventory.c' work-(nearly)-alike based on the new libs.
    
    The old `inventory.c' is untouched so as not to break larch.
    
    

    new files:
     libarch/invent.c utils-arch/srcfind.c libarch/invent.h

    modified files:
     ChangeLog utils-arch/Makefile.in


2003-05-14 GMT	Tom Lord <lord@emf.net>	patch-30

    Summary:
      tagging-method.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-30

    tagging-method.c and supporting libs
    

    new files:
     utils-arch/tagging-method.c

    modified files:
     ChangeLog libarch/inv-tags.c libarch/inv-tags.h
     utils-arch/Makefile.in


2003-05-14 GMT	Tom Lord <lord@emf.net>	patch-29

    Summary:
      inv-tag.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-29

    inv-tag.c and supporting libs
    

    new files:
     libarch/inv-tags.h libarch/inv-tags.c utils-arch/inv-tag.c

    modified files:
     ChangeLog utils-arch/Makefile.in


2003-05-14 GMT	Tom Lord <lord@emf.net>	patch-28

    Summary:
      my-id.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-28

    my-id.c and supporting libs.
    

    new files:
     utils-arch/my-id.c

    modified files:
     ChangeLog libarch/my.c libarch/my.h libarch/namespace.c
     libarch/namespace.h utils-arch/Makefile.in


2003-05-14 GMT	Tom Lord <lord@emf.net>	patch-27

    Summary:
      options->arg_string is not preserved
    Revision:
      file-utils--devo--1.0--patch-27

    options->arg_string is not preserved across calls
    to opt_standard, so don't assume that it is.

    modified files:
     ChangeLog utils-arch/add-log.c utils-arch/cat-log.c
     utils-arch/changelog.c utils-arch/init-tree.c
     utils-arch/log-ls.c utils-arch/logs.c
     utils-arch/my-default-archive.c
     utils-arch/parse-package-name.c utils-arch/remove-log.c
     utils-arch/set-tree-version.c utils-arch/valid-package-name.c


2003-05-14 GMT	Tom Lord <lord@emf.net>	patch-26

    Summary:
      tree rearrangement
    Revision:
      file-utils--devo--1.0--patch-26

    
    Tree rearrangement.
    
    Factoring out bits that should stay stable so as not to break larch.
    

    new files:
     liblarch/.arch-ids/=id liblarch/PLUGIN/.arch-ids/=id
     liblarch/PLUGIN/.arch-ids/REQ.id utils-larch/.arch-ids/=id
     utils-larch/PLUGIN/.arch-ids/=id
     utils-larch/PLUGIN/.arch-ids/REQ.id liblarch/Makefile.in
     utils-larch/Makefile.in liblarch/PLUGIN/REQ
     utils-larch/PLUGIN/REQ

    modified files:
     ChangeLog liblarch/ftag.c liblarch/inv.c liblarch/inv.h
     utils-changesets/Makefile.in utils-changesets/PLUGIN/REQ
     utils-changesets/dopatch.c utils-changesets/mkpatch.c
     utils-larch/file-tag.c utils-larch/inventory.c

    renamed files:
     libarch/ftag.h
       ==> liblarch/ftag.h
     libarch/inv.h
       ==> liblarch/inv.h
     utils-changesets/file-tag.c
       ==> utils-larch/file-tag.c
     libarch/inv.c
       ==> liblarch/inv.c
     utils-changesets/inventory.c
       ==> utils-larch/inventory.c
     libarch/ftag.c
       ==> liblarch/ftag.c


    new directories:
     liblarch/.arch-ids liblarch/PLUGIN/.arch-ids
     utils-larch/.arch-ids utils-larch/PLUGIN/.arch-ids liblarch
     liblarch/PLUGIN utils-larch utils-larch/PLUGIN


2003-05-14 GMT	Tom Lord <lord@emf.net>	patch-25

    Summary:
      remove-log.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-25

    remove-log.c and supporting libs

    new files:
     libfsutils/rmrf.h libfsutils/rmrf.c utils-arch/remove-log.c

    modified files:
     ChangeLog libarch/patch-logs.c libarch/patch-logs.h
     utils-arch/Makefile.in


2003-05-13 GMT	Tom Lord <lord@emf.net>	patch-24

    Summary:
      changelog.c
    Revision:
      file-utils--devo--1.0--patch-24

    
    changelog.c
    

    new files:
     utils-arch/changelog.c

    modified files:
     ChangeLog utils-arch/Makefile.in utils-arch/log-ls.c


2003-05-13 GMT	Tom Lord <lord@emf.net>	patch-23

    Summary:
      log-ls.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-23

    log-ls.c and supporting libs
    

    new files:
     utils-arch/log-ls.c

    modified files:
     ChangeLog libarch/namespace.c libarch/namespace.h
     libarch/patch-logs.c libarch/patch-logs.h
     utils-arch/Makefile.in utils-arch/add-log.c
     utils-arch/cat-log.c utils-arch/logs.c


2003-05-13 GMT	Tom Lord <lord@emf.net>	patch-22

    Summary:
      cat-log.c
    Revision:
      file-utils--devo--1.0--patch-22

    
    cat-log.c
    

    new files:
     utils-arch/cat-log.c

    modified files:
     ChangeLog libarch/my.c libarch/namespace.c
     libarch/patch-logs.c libarch/patch-logs.h
     utils-arch/Makefile.in


2003-05-13 GMT	Tom Lord <lord@emf.net>	patch-21

    Summary:
      added revision sorting to logs.c
    Revision:
      file-utils--devo--1.0--patch-21

    Added revision sorting to logs.c.
    
    This actually sorts slightly differently from `larch logs' (but more
    sensibly, I think).
    
    Oddly enough, the sort algorithm handles arbitrary-length version ids,
    thought arch_valid_package_name doesn't permit them yet.
    

    modified files:
     ChangeLog libarch/namespace.c libarch/namespace.h
     libarch/patch-logs.c utils-arch/logs.c


2003-05-13 GMT	Tom Lord <lord@emf.net>	patch-20

    Summary:
      logs.c plus supporting libs
    Revision:
      file-utils--devo--1.0--patch-20

    logs.c plus supporting libs.
    
    However, the output of logs.c isn't sorted yet.
    

    new files:
     libfsutils/dir-listing.h libfsutils/dir-listing.c
     utils-arch/logs.c

    modified files:
     ChangeLog libarch/patch-logs.c libarch/patch-logs.h
     libarch/project-tree.c libarch/project-tree.h
     libawk/relational.c libawk/relational.h utils-arch/Makefile.in


2003-05-13 GMT	Tom Lord <lord@emf.net>	patch-19

    Summary:
      init-tree.c and supporting lbis
    Revision:
      file-utils--devo--1.0--patch-19

    init-tree.c and supporting lbis

    new files:
     utils-arch/init-tree.c

    modified files:
     ChangeLog libarch/patch-logs.c libarch/project-tree.c
     libarch/project-tree.h utils-arch/Makefile.in
     utils-arch/set-tree-version.c


2003-05-13 GMT	Tom Lord <lord@emf.net>	patch-18

    Summary:
      add-log.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-18

    add-log.c and supporting libs
    

    new files:
     libarch/patch-logs.c utils-arch/add-log.c libarch/patch-logs.h

    modified files:
     ChangeLog libarch/namespace.c libarch/namespace.h
     libarch/project-tree.c libfsutils/ensure-dir.h


2003-05-13 GMT	Tom Lord <lord@emf.net>	patch-17

    Summary:
      tree-version.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-17

    tree-version.c and supporting libs
    

    new files:
     utils-arch/tree-version.c

    modified files:
     ChangeLog libarch/project-tree.c libarch/project-tree.h
     utils-arch/Makefile.in


2003-05-13 GMT	Tom Lord <lord@emf.net>	patch-16

    Summary:
      set-tree-version.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-16

    set-tree-version.c and supporting libs
    

    modified files:
     ChangeLog utils-arch/Makefile.in utils-arch/set-tree-version.c

    renamed files:
     utils-arch/=set-tree-version.c
       ==> utils-arch/set-tree-version.c



2003-05-13 GMT	Tom Lord <lord@emf.net>	patch-15

    Summary:
      parse-package-name.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-15

    
    Parse-package-name.c and supporting libs.
    

    new files:
     utils-arch/parse-package-name.c

    modified files:
     ChangeLog libarch/namespace.c libarch/namespace.h
     utils-arch/Makefile.in


2003-05-12 GMT	Tom Lord <lord@emf.net>	patch-14

    Summary:
      my-default-archive.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-14

    my-default-archive.c and supporting libs
    

    new files:
     libfsutils/.arch-ids/=id libfsutils/PLUGIN/.arch-ids/=id
     libfsutils/PLUGIN/.arch-ids/REQ.id
     utils-arch/=set-tree-version.c libarch/my.c
     utils-arch/my-default-archive.c libfsutils/Makefile.in
     libfsutils/ensure-dir.c libfsutils/ensure-dir.h libarch/my.h
     libfsutils/PLUGIN/REQ

    modified files:
     ChangeLog utils-arch/Makefile.in utils-arch/PLUGIN/REQ

    new directories:
     libfsutils/.arch-ids libfsutils/PLUGIN/.arch-ids libfsutils
     libfsutils/PLUGIN


2003-05-12 GMT	Tom Lord <lord@emf.net>	patch-13

    Summary:
      (spelling) definate => definite in identifiers and comments
    Revision:
      file-utils--devo--1.0--patch-13

    Definate => definite in identifiers and comments.
    

    modified files:
     ChangeLog libarch/project-tree.c libarch/project-tree.h
     utils-arch/tree-root.c


2003-05-12 GMT	Tom Lord <lord@emf.net>	patch-12

    Summary:
      added tree-root.c and supporting lib functions
    Revision:
      file-utils--devo--1.0--patch-12

    Added tree-root.c and supporting lib functions.
    

    new files:
     utils-arch/tree-root.c

    modified files:
     ChangeLog libarch/project-tree.c libarch/project-tree.h
     utils-arch/Makefile.in utils-arch/valid-package-name.c


2003-05-12 GMT	Tom Lord <lord@emf.net>	patch-11

    Summary:
      added valid-package-name.c and supporting libs
    Revision:
      file-utils--devo--1.0--patch-11

    Added valid-package-name.c and supporting libs.
    

    new files:
     utils-arch/.arch-ids/=id utils-arch/PLUGIN/.arch-ids/=id
     utils-arch/PLUGIN/.arch-ids/REQ.id libarch/project-tree.c
     libarch/namespace.c utils-arch/Makefile.in
     utils-arch/valid-package-name.c libarch/namespace.h
     libarch/project-tree.h utils-arch/PLUGIN/REQ

    modified files:
     ChangeLog

    new directories:
     utils-arch/.arch-ids utils-arch/PLUGIN/.arch-ids utils-arch
     utils-arch/PLUGIN


2003-05-12 GMT	Tom Lord <lord@emf.net>	patch-10

    Summary:
      tree reorg
    Revision:
      file-utils--devo--1.0--patch-10

    
    Broke source up into some libraries and separate directories 
    for various groups of programs.
    

    new files:
     libawk/.arch-ids/=id libarch/.arch-ids/=id
     utils-changesets/.arch-ids/=id utils-files/.arch-ids/=id
     libarch/PLUGIN/.arch-ids/=id libawk/PLUGIN/.arch-ids/=id
     libawk/PLUGIN/.arch-ids/REQ.id libarch/PLUGIN/.arch-ids/REQ.id
     utils-locks/.arch-ids/=id
     utils-changesets/PLUGIN/.arch-ids/=id
     utils-changesets/PLUGIN/.arch-ids/REQ.id
     utils-files/PLUGIN/.arch-ids/=id
     utils-files/PLUGIN/.arch-ids/REQ.id
     utils-locks/PLUGIN/.arch-ids/=id
     utils-locks/PLUGIN/.arch-ids/REQ.id libarch/Makefile.in
     libawk/Makefile.in utils-changesets/Makefile.in
     utils-files/Makefile.in utils-locks/Makefile.in PLUGIN/DIRS
     libawk/PLUGIN/REQ libarch/PLUGIN/REQ
     utils-changesets/PLUGIN/REQ utils-files/PLUGIN/REQ
     utils-locks/PLUGIN/REQ

    modified files:
     ChangeLog Makefile.in libarch/ftag.c libarch/inv.c
     libarch/inv.h libawk/associative.c libawk/relational.c
     utils-changesets/dopatch.c utils-changesets/file-tag.c
     utils-changesets/inventory.c utils-changesets/mkpatch.c

    renamed files:
     copy-file-list.c
       ==> utils-files/copy-file-list.c
     relational.c
       ==> libawk/relational.c
     associative.c
       ==> libawk/associative.c
     dangerous-rename.c
       ==> utils-files/dangerous-rename.c
     associative.h
       ==> libawk/associative.h
     ftag.h
       ==> libarch/ftag.h
     inv.h
       ==> libarch/inv.h
     relational.h
       ==> libawk/relational.h
     file-tag.c
       ==> utils-changesets/file-tag.c
     inv.c
       ==> libarch/inv.c
     with-file-lock.c
       ==> utils-locks/with-file-lock.c
     mkpatch.c
       ==> utils-changesets/mkpatch.c
     dopatch.c
       ==> utils-changesets/dopatch.c
     inventory.c
       ==> utils-changesets/inventory.c
     ftag.c
       ==> libarch/ftag.c
     file-metadata.c
       ==> utils-files/file-metadata.c
     set-file-metadata.c
       ==> utils-files/set-file-metadata.c
     read-link.c
       ==> utils-files/read-link.c


    new directories:
     libarch/.arch-ids libarch/PLUGIN/.arch-ids libawk/.arch-ids
     libawk/PLUGIN/.arch-ids utils-changesets/.arch-ids
     utils-changesets/PLUGIN/.arch-ids utils-files/.arch-ids
     utils-files/PLUGIN/.arch-ids utils-locks/.arch-ids
     utils-locks/PLUGIN/.arch-ids libawk libarch utils-changesets
     utils-files libarch/PLUGIN libawk/PLUGIN utils-locks
     utils-changesets/PLUGIN utils-files/PLUGIN utils-locks/PLUGIN


2003-05-12 GMT	Tom Lord <lord@emf.net>	patch-9

    Summary:
      cleaned up some dopatch.c comments -- left a placemarker
    Revision:
      file-utils--devo--1.0--patch-9

    Cleaned up some comments (irrelevant invariant statements).
    
    Left a placemarker in interpretation of a tree re-org.
    

    modified files:
     ChangeLog dopatch.c


2003-05-12 GMT	Tom Lord <lord@emf.net>	patch-8

    Summary:
      dopatch.c milestone (running patch(1))
    Revision:
      file-utils--devo--1.0--patch-8

    dopatch.c milestone (running patch(1))
    

    modified files:
     ChangeLog dopatch.c


2003-05-11 GMT	Tom Lord <lord@emf.net>	patch-7

    Summary:
      dopatch.c milestone (tree-detlas) (+ minor mkpatch.c bugfix)
    Revision:
      file-utils--devo--1.0--patch-7

    Through translating the tree-deltas code ... up to code that 
    starts to apply individual patches.
    

    modified files:
     ChangeLog dopatch.c mkpatch.c relational.c


2003-05-11 GMT	Tom Lord <lord@emf.net>	patch-6

    Summary:
      dopatch.c first milestone
    Revision:
      file-utils--devo--1.0--patch-6

    
    Intermediate results computed -- starting on actual patch process.
    

    new files:
     relational.c associative.c associative.h relational.h
     dopatch.c

    modified files:
     ChangeLog Makefile.in mkpatch.c


2003-05-04 GMT	Tom Lord <lord@emf.net>	patch-5

    Summary:
      tagged mkpatch.c (oops)
    Revision:
      file-utils--devo--1.0--patch-5

    
    Added a tag to mkpatch.c
    

    new files:
     mkpatch.c

    removed files:
     mkpatch.c

    modified files:
     ChangeLog


2003-05-04 GMT	Tom Lord <lord@emf.net>	patch-4

    Summary:
      added mkpatch.c
    Revision:
      file-utils--devo--1.0--patch-4

    
    Added the mkpatch.c program which generates arch-format changesets.
    

    new files:
     mkpatch.c

    modified files:
     ChangeLog Makefile.in


2003-01-27 GMT	Tom Lord <lord@emf.net>	patch-3

    Summary:
      cycled ChangeLogs
    Revision:
      file-utils--devo--1.0--patch-3

    Cycled ChangeLogs.
    

    new files:
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.devo--1.0
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     ChangeLog

    removed files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0


2003-01-26 GMT	Tom Lord <lord@emf.net>	patch-2

    Summary:
      don't build `mkpatch'
    Revision:
      file-utils--devo--1.0--patch-2

    
    `mkpatch' is not ready for prime time.
    

    modified files:
     =THANKS ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     Makefile.in

    renamed files:
     mkpatch.c
       ==> =later/mkpatch.c



2003-01-20 GMT	Tom Lord <lord@regexps.com>	patch-1

    Summary:
      parameterized bug email address
    Revision:
      file-utils--devo--1.0--patch-1

    
    Parameterized the bug email address (made it a configure option).
    
    

    new files:
     PLUGIN/options

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     copy-file-list.c dangerous-rename.c file-metadata.c file-tag.c
     inventory.c mkpatch.c read-link.c set-file-metadata.c
     with-file-lock.c


2003-01-16 GMT	Tom Lord <lord@regexps.com>	base-0

    Summary:
      tag of lord@regexps.com--2002/file-utils--devo--1.0--patch-17
    Revision:
      file-utils--devo--1.0--base-0

    (automatically generated log message)
    

    new patches:
     lord@regexps.com--2001Q4/file-utils--devo--1.0--base-0
     lord@regexps.com--2001Q4/file-utils--devo--1.0--patch-1
     lord@regexps.com--2001Q4/file-utils--devo--1.0--patch-1
     lord@regexps.com--2002/file-utils--devo--1.0--base-0
     lord@regexps.com--public-2001Q4/file-utils--devo--1.0--base-0
     lord@regexps.com--2002/file-utils--devo--1.0--patch-1
     lord@regexps.com--2002/file-utils--lord--1.0--base-0
     lord@regexps.com--2002/file-utils--lord--1.0--patch-1
     lord@regexps.com--2002/file-utils--lord--1.0--patch-2
     lord@regexps.com--2002/file-utils--devo--1.0--patch-2
     lord@regexps.com--2002/file-utils--lord--1.0--patch-3
     lord@regexps.com--2002/file-utils--lord--1.0--patch-4
     lord@regexps.com--2002/file-utils--lord--1.0--patch-5
     lord@regexps.com--2002/file-utils--lord--1.0--patch-6
     lord@regexps.com--2002/file-utils--devo--1.0--patch-3
     lord@regexps.com--2002/file-utils--devo--1.0--patch-4
     lord@regexps.com--2002/file-utils--devo--1.0--patch-5
     lord@regexps.com--2002/file-utils--lord--1.0--patch-7
     lord@regexps.com--2002/file-utils--lord--1.0--patch-8
     lord@regexps.com--2002/file-utils--lord--1.0--patch-9
     lord@regexps.com--2002/file-utils--devo--1.0--patch-6
     lord@regexps.com--2002/file-utils--lord--1.0--patch-10
     lord@regexps.com--2002/file-utils--lord--1.0--patch-11
     lord@regexps.com--2002/file-utils--lord--1.0--patch-12
     lord@regexps.com--2002/file-utils--devo--1.0--patch-7
     lord@regexps.com--2002/file-utils--devo--1.0--patch-8
     lord@regexps.com--2002/file-utils--devo--1.0--patch-9
     lord@regexps.com--2002/file-utils--devo--1.0--patch-10
     lord@regexps.com--2002/file-utils--lord--1.0--patch-13
     lord@regexps.com--2002/file-utils--lord--1.0--patch-14
     lord@regexps.com--2002/file-utils--devo--1.0--patch-11
     lord@regexps.com--2002/file-utils--lord--1.0--patch-15
     lord@regexps.com--2002/file-utils--lord--1.0--patch-16
     lord@regexps.com--2002/file-utils--devo--1.0--patch-12
     lord@regexps.com--2002/file-utils--lord--1.0--patch-17
     lord@regexps.com--2002/file-utils--lord--1.0--patch-18
     lord@regexps.com--2002/file-utils--lord--1.0--patch-19
     lord@regexps.com--2002/file-utils--lord--1.0--patch-20
     lord@regexps.com--2002/file-utils--devo--1.0--patch-13
     lord@regexps.com--2002/file-utils--devo--1.0--patch-14
     lord@regexps.com--2002/file-utils--devo--1.0--patch-15
     lord@regexps.com--2002/file-utils--devo--1.0--patch-16
     lord@regexps.com--2002/file-utils--devo--1.0--patch-17
     lord@regexps.com--2002/file-utils--lord--1.0--patch-21
     lord@regexps.com--2002/file-utils--lord--1.0--patch-22
     lord@regexps.com--2002/file-utils--lord--1.0--patch-23


